<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Captcha_view
 * 
 * Шаблон каптчи
 */

class Captcha_view
{
	/**
	 * Шаблон каптчи
	 *
	 * @param string $modules идентификатор элеметна (название модуля+id элемента)
	 * @param string $error ошибка
	 * @param boolean $update шаблон запрошен при Ajax-запросе
	 * @return string
	 */
	public function get($modules, $error, $update)
	{
		$html_captcha = '';

		$codeint = rand(1111, 9999);
		$html_captcha .= (! $update ? '
		<div class="code">' : '').'
			<div class="code-enter">'._LANG_ENTER_CAPTCHA.'</div>
			<img src="http://'.BASE_URL.(IS_ADMIN ? '/'.ADMIN_FOLDER : '').'/code/'.$modules.$codeint.'" width="120" height="60" class="code-img"><br>
			<input type="hidden" name="codeint" value="'.$codeint.'">
			<input type="hidden" name="update" value="">

			<div class="code-update"><a href="javascript:void(0)">'._LANG_UPDATE_CAPTCHA.'</a></div>
			<div class="code-input"><input type="text" name="code" value="" autocomplete="off"></div>

			<div class="errors error-code"'.($error ? '>'.$error : ' style="display:none">').'</div>'.
		(! $update ? '
		</div>' : '');
		return $html_captcha;
	}
}