<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Photo_admin_config
 *
 * Конфигурация фотогалереи
 */
class Photo_admin_config extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file	=	'photo_config';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->variable_table = array(
			'cat'			=> 'checkbox',
			'big_width'		=> 'function',
			'big_height'		=> 'none',
			'big_quality'		=> 'none',
			'medium_width'		=> 'function',
			'medium_height'		=> 'none',
			'medium_quality'	=> 'none',
			//'use_animation'	=> 'checkbox',
			'count_list'		=> 'numtext',
			'nastr'			=> 'numtext',
			'allphoto'		=> 'text',
			'childrens_elements'	=> 'checkbox',
			'comments_cat'		=> 'function',
			'comments'		=> 'function',
			'tags'			=> 'function',
			'rating'		=> 'function',
			'upload_max_filesize'	=> 'function'
		);
		
		$this->language_names = array(
			'allphoto'
		);

		$this->config_module = array(
			'element_site'	=> 1	//делит элементы по разделам (страницы сайта, к которым прикреплен модуль)
		);
		
		$this->show_tr_click_checkbox = array(
			'cat' => array(
					'count_list',
					'allphoto',
					'comments_cat',
					'childrens_elements'
			)
		);
	}
}