<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Photo_install
 *
 * Установка модуля "Фотогалерея"
 */

$title = "Фотогалерея";

$sql = array(
	"CREATE TABLE {photo} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL,")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		cat_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("descrLANG text NOT NULL,")."
		".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("anonsLANG text NOT NULL,")."
		".multilang("textLANG text NOT NULL,")."
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		timeedit INT(12) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY site_id (site_id)
	)",

	"ALTER DATABASE {photo} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",

	"CREATE TABLE {photo_category} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL,")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		parent_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("descrLANG text NOT NULL,")."
		".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("anonsLANG text NOT NULL,")."
		".multilang("textLANG text NOT NULL,")."
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		timeedit INT(12) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY parent_id (parent_id),
		KEY site_id (site_id)
	)",

	"ALTER DATABASE {photo_category} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("titleLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, addmodule) VALUES (
		4,
		".multilang("'".$title."',", "'Photogallery',", "'',")."
		".multilang("'".$title."',", "'Photogallery',", "'',")."
		".multilang("'1',")."
		'4',
		'".time()."',
		'photo'
	);",

	"INSERT INTO {rewrite} (id, rewrite, module_name, element_id, site_id, cat_id, trash) VALUES (4, 'photo', 'site', 0, 4, 0, '0')",

	"INSERT INTO {adminsite} (id, parent_id, name, rewrite, text, act, numrow, sort) VALUES (
		31,
		1,
		'".$title."',
		'photo',
		'<p>Фотогалерея состоит из групп фотографий. Для добавления фотографий, необходимо создать группу, затем загружать фотографии. Фотографии сохраняются в двух размерах, для предпросмотра и увеличенном и используются в генерации галереи. Настройки модуля можно изменить в    <a href=\"base_path/photo/config1/\">&quot;Конфигурации фотогалереи&quot;</a>.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		129707,
		'4'
	);",

	"INSERT INTO {config} (id, module_name, config, cat_id) VALUES (
		10,
		'photo',
		'cat=1"
		."\n"
		."big_width=600"
		."\n"
		."big_height=600"
		."\n"
		."big_quality=90"
		."\n"
		."medium_width=150"
		."\n"
		."medium_height=150"
		."\n"
		."medium_quality=90"
		."\n"
		."use_animation=1"
		."\n"
		."count_list=1"
		."\n"
		."nastr=10"
		."\n"
		."pid_array=1"
		."\n"
		."comments_cat=".(! empty($_POST["comments"]) ? '1' : '0')
		."\n"
		."comments=".(! empty($_POST["comments"]) ? '1' : '0')
		."\n"
		."tags=".(! empty($_POST["tags"]) ? '1' : '0')
		."\n"
		."rating=".(! empty($_POST["rating"]) ? '1' : '0')
		.multilang(
			"\n"
			."allphoto=Посмотреть все фотографии в категории",

			"\n"
			."allphoto2=Show all photos in category",

			""
		)."',
		0
	);"
);


$example = array(
	"UPDATE {site} SET actm='1' WHERE id=4",
	
	"INSERT INTO {photo} VALUES (
		1,
		".multilang("'Коршун Маркус',", "'Kite Markus',", "'',")."
		".multilang("'1',")."
		1,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		1,
		'".time()."',
		'0'
	);",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 1, 1);",

	"INSERT INTO {photo} VALUES (
		2,
		".multilang("'Лошадь Ксения',", "'Horse Xenia',", "'',")."
		".multilang("'1',")."
		1,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		2,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 2, 1);",

	"INSERT INTO {photo} VALUES (
		3,
		".multilang("'Козел Вова',", "'Goat Vova',", "'',")."
		".multilang("'1',")."
		1,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		3,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 3, 1);",

	"INSERT INTO {photo} VALUES (
		4,
		".multilang("'Слон Антон',", "'Elephant Anton',", "'',")."
		".multilang("'1',")."
		1,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		4,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 4, 1);",

	"INSERT INTO {photo} VALUES (
		5,
		".multilang("'Крокодил Генадий',", "'Crocodile Genady',", "'',")."
		".multilang("'1',")."
		1,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		2,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 5, 1);",

	"INSERT INTO {photo} VALUES (
		6,
		".multilang("'Жираф Инокентий',", "'Giraffe Inokenty',", "'',")."
		".multilang("'1',")."
		1,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		6,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 6, 1);",

	"INSERT INTO {photo} VALUES (
		7,
		".multilang("'Корова Варя',", "'Cow Varya',", "'',")."
		".multilang("'1',")."
		1,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		7,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 7, 1);",

	"INSERT INTO {photo} VALUES (
		8,
		".multilang("'Страус Ахмед',", "'Ostrich Ahmed',", "'',")."
		".multilang("'1',")."
		1,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		8,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 8, 1);",

	"INSERT INTO {photo} VALUES (
		9,
		".multilang("'Кобра Жанна',", "'Cobra Jeanne',", "'',")."
		".multilang("'1',")."
		2,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		9,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 9, 2);",

	"INSERT INTO {photo} VALUES (
		10,
		".multilang("'Цапля Денис',", "'Heron Denis',", "'',")."
		".multilang("'1',")."
		2,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		10,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 10, 2);",

	"INSERT INTO {photo} VALUES (
		11,
		".multilang("'Черепаха Коля',", "'Turtle Kohlya',", "'',")."
		".multilang("'1',")."
		2,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		11,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 11, 2);",

	"INSERT INTO {photo} VALUES (
		12,
		".multilang("'Заяц Кирилл',", "'Hare Cyril',", "'',")."
		".multilang("'1',")."
		2,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		12,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 12, 2);",

	"INSERT INTO {photo} VALUES (
		13,
		".multilang("'Рыба Валентина',", "'Fish Valentine',", "'',")."
		".multilang("'1',")."
		2,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		13,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 13, 2);",

	"INSERT INTO {photo} VALUES (
		14,
		".multilang("'Утенок Магкряк',", "'Duckling Magkrjak',", "'',")."
		".multilang("'1',")."
		2,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		14,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 14, 2);",

	"INSERT INTO {photo} VALUES (
		15,
		".multilang("'Орел Егорка',", "'Eagle Egorka',", "'',")."
		".multilang("'1',")."
		2,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		15,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 15, 2);",

	"INSERT INTO {photo} VALUES (
		16,
		".multilang("'Мышь Пика',", "'Mouse Peaka',", "'',")."
		".multilang("'1',")."
		2,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		16,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 16, 2);",

	"INSERT INTO {photo} VALUES (
		17,
		".multilang("'Лиса Лия',", "'Fox Lija',", "'',")."
		".multilang("'1',")."
		2,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		17,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 17, 2);",

	"INSERT INTO {photo} VALUES (
		18,
		".multilang("'Гриф Вазген',", "'Vulture Vazgen',", "'',")."
		".multilang("'1',")."
		2,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		18,
		'".time()."',
		'0'
	)",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 18, 2);",

	"INSERT INTO {photo} VALUES (
		19,
		".multilang("'Суслик Миша',", "'Gopher Misha',", "'',")."
		".multilang("'1',")."
		2,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		19,
		'".time()."',
		'0'
	);",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', 19, 2);",

	"INSERT INTO {photo_category} VALUES (
		1,
		".multilang("'Экстраверты',", "'Extraverts',", "'',")."
		".multilang("'1',")."
		0,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		1,
		'".time()."',
		'0'
	)",

	"INSERT INTO {photo_category} VALUES (
		2,
		".multilang("'Интроверты',", "'Introverts',", "'',")."
		".multilang("'1',")."
		0,
		4,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		2,
		'".time()."',
		'0'
	);"
);

/**
 * Выполняет действия для основной установки модуля
 * 
 * @return void
 */
function module_basic_photo()
{
	if(! is_dir(ABSOLUTE_PATH.USERFILES.'/photo'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/photo', 0777);
	}

	if(! is_dir(ABSOLUTE_PATH.USERFILES.'/photo/small'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/photo/small', 0777);
	}

	if(! is_dir(ABSOLUTE_PATH.USERFILES.'/photo/medium'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/photo/medium', 0777);
	}
}

/**
 * Выполняет действия для установки примеров заполнения модуля
 * 
 * @return void
 */
function module_example_photo()
{	
	$array = array(
			19 => array(23 => 'suslik-misha'),
			14 => array(24 => 'utenok'),
			6  => array(25 => 'zhirav'),
			15 => array(26 => 'orel'),
			13 => array(27 => 'ryba'),
			4  => array(28 => 'slon'),
			8  => array(29 => 'straus'),
			2  => array(30 => 'loshad'),
			12 => array(31 => 'zayac'),
			16 => array(32 => 'mysh-pika'),
			3  => array(33 => 'kozel'),
			5  => array(34 => 'krokodil'),
			17 => array(35 => 'lisa-liya'),
			11 => array(36 => 'cherepaxa'),
			9  => array(37 => 'kobra'),
			7  => array(38 => 'korova'),
			1  => array(39 => 'korshun'),
			18 => array(40 => 'grif'),
			10 => array(84 => 'caplya')
		);

	$module = 'photo';
	foreach($array as $k => $a)
	{
		foreach($a as $id => $name)
		{
			$name_file = $name.'_'.$id;

			if(!file_exists(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name_file.'.jpg'))
			{
				copy('http://cms.diafan.ru/files4.2/'.$module.'/'.$name_file.'.jpg',
				     ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name_file.'.jpg');

				copy('http://cms.diafan.ru/files4.2/'.$module.'/small/'.$name_file.'.jpg',
				     ABSOLUTE_PATH.USERFILES.'/'.$module.'/small/'.$name_file.'.jpg');

				copy('http://cms.diafan.ru/files4.2/'.$module.'/medium/'.$name_file.'.jpg',
				     ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium/'.$name_file.'.jpg');
			}
			$size = filesize(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name_file.'.jpg');

			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name_file.'.jpg', 0777);
			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/small/'.$name_file.'.jpg', 0777);
			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium/'.$name_file.'.jpg', 0777);

			DB::query("INSERT INTO {images} (id, name, module_name, element_id, sort, size) VALUES ('%d', '%s', '%s', '%d', '%d', '%d')",
				  $id, $name, $module, $k, $id, $size);
		}
	}
}

/**
 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_photo()
{
	$module = 'photo';
	DB::query("DROP TABLE {".$module."};");
	DB::query("DROP TABLE {".$module."_category};");
	DB::query("DELETE FROM {rewrite} WHERE module_name='site' AND site_id IN (SELECT id FROM {site} WHERE addmodule='".$module."');");
	DB::query("DELETE FROM {site} WHERE addmodule='".$module."';");
	DB::query("DELETE FROM {rewrite} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {category} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {adminsite} WHERE rewrite='".$module."';");
	DB::query("DELETE FROM {config} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {images} WHERE module_name='".$module."';");
	@DB::query("DELETE FROM {rating} WHERE module_name='".$module."';");
	@DB::query("DELETE FROM {comments} WHERE module_name='".$module."';");
	@DB::query("DELETE FROM {comments} WHERE module_name='".$module."_category';");
	@DB::query("DELETE FROM {tags} WHERE module_name='".$module."';");

	if($dirr = @opendir(ABSOLUTE_PATH.USERFILES.'/'.$module.'/small'))
	{
		while(($file = readdir($dirr)) !== false)
		{
			@unlink(ABSOLUTE_PATH.USERFILES.'/'.$module.'/small/'.$file);
		}
		closedir($dirr);
	}
	rmdir(ABSOLUTE_PATH.USERFILES.'/'.$module.'/small');

	if($dirr = @opendir(ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium'))
	{
		while(($file = readdir($dirr)) !== false)
		{
			@unlink(ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium/'.$file);
		}
		closedir($dirr);
	}
	rmdir(ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium');

	if($dirr = @opendir(ABSOLUTE_PATH.USERFILES.'/'.$module))
	{
		while(($file = readdir($dirr)) !== false)
		{
			@unlink(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$file);
		}
		closedir($dirr);
	}
	rmdir(ABSOLUTE_PATH.USERFILES.'/'.$module);
}