<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Registration
 *
 * Контроллер модуля "Регистрация"
 */
class Registration extends Frame
{
	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct(&$diafan)
	{
		$this->diafan = &$diafan;
		
		$this->rewrite_variable_names = array('step');
		$this->diafan->rewrite_variable_names = $this->rewrite_variable_names;

		include_once(ABSOLUTE_PATH.'modules/registration/registration.ajax.php');
		$ajax = new Registration_ajax($diafan);
		if($ajax->ajax_request())
			exit;
		
		$model = new Registration_model($diafan);
		$this->result = $model->form();
	}

	/**
	 * Выводит контент модуля
	 * 
	 * @return boolean
	 */
	function show_module()
	{
		if(! empty($this->result["actlink"]))
		{
			echo $this->result["actlink"];
			return FALSE;
		}
		Registration_view::form($this->result);
		return TRUE;
	}

	/**
	 * Шаблонная функция: форма авторизации
	 * 
	 * @return boolean
	 */
	function show_login($th, $attributes)
	{
	  	if($th->diafan->module == "registration" && ! $this->diafan->_user->id || $th->diafan->module == "order")
			return FALSE;

		$attributes = $this->get_attributes($attributes, 'template');

		include_once(ABSOLUTE_PATH.'modules/registration/registration.model.php');
		$model = new Registration_model($th->diafan);
		$result = $model->show_login();

		include_once(ABSOLUTE_PATH.'modules/registration/registration.view.php');
		$func = 'show_login';
		if($attributes["template"])
		{
			$func .= '_'.preg_replace('/[^a-z_]+/','', $attributes["template"]);
			
		}
		echo Registration_view::$func($result);
		return TRUE;
	}  	
}