<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Reminding_view
 *
 * Шаблон модуля "Восстановление пароля"
 */
class Reminding_view
{
	/**
	 * Шаблон формы восстановления пароля
	 * 
	 * @param array $result сгенерированные в моделе данные
	 * @return boolean true
	 */
	function form($result)
	{
		echo '
		<form method="POST" action="'.$result["action"].'" class="reminding-form ajax">
			<input type="hidden" name="ajax" value="">
			<input type="hidden" name="ajax_reminding" value="1">

			<div class="infofield">'._LANG_ENTER_YOUR_LOGIN.':</div>
			<input type = "text" maxLength="70" name="name" size="40" class="inptext" value="">
			<div class="errors error-name"'.($result["error-name"] ? '>'.$result["error-name"] : ' style="display:none">').'</div>
			<br>
			<div class="infofield">'._LANG_ENTER_YOUR_EMAIL.':</div>
			<input type = "text" maxLength="70" name="mail" size="40" class="inptext" value=""><br>
			<div class="errors error-mail"'.($result["error-mail"] ? '>'.$result["error-mail"] : ' style="display:none">').'</div>
			'.$result["captcha"].'
			<input type="submit" value="'._LANG_SEND.'" class="button">
			<div class="errors error"'.($result["error"] ? '>'.$result["error"] : ' style="display:none">').'</div>
		</form>';

		return TRUE;
	}
}