<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Search_view
 *
 * Шаблон модуля "Поиск по сайту"
 */
class Search_view
{
	/**
	 * Шаблон вывода результатов поиска по сайту
	 * 
	 * @param array $result сгенерированные в моделе данные
	 * @return boolean true
	 */
	function show_module($result)
	{
		self::show_search($result);

		if(! empty($result["value"]))
		{
			echo '<div class="search-result">'._LANG_TOTAL_FOUND.": <b>".$result["value"].": ".$result["count"]."</b>
			<br>".sprintf(_LANG_COUNT_SEARCH, $result["count-page"], $result["count"])
			.'</div>';

			if(! empty($result["rows"]))
			{
				foreach($result["rows"] as $row)
				{
					echo '
				<div class="search-list">
					'.$row["i"].'. '
					.($row["site"] ? '<a href="'.BASE_PATH_HREF.$row["site"]["link"].'">'.$row["site"]["name"].'</a> / ' : '')
					.($row["cat"]  ? '<a href="'.BASE_PATH_HREF.$row["cat"]["link"].'">'.$row["cat"]["name"].'</a> / '   : '')
					.'<a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["name"]."</a>
					<br>".$row["snippet"]."
				</div>";				
				}
			}
			echo Paginator_view::get($result["paginator"]);
		}

		return TRUE;
	}

	/**
	 * Шаблон формы поиска по сайту
	 * 
	 * @param array $result сгенерированные в моделе данные
	 * @return boolean true
	 */
	function show_search($result)
	{	
		echo '
		<div class="search">
			<form action="'.$result["action"].'" method="get">
			<input type="text" name="searchword" value="'.$result["value"].'" class="input-search" >
			<input type="submit" value="'.$result["button"].'" class="submit-search">
			</form>
		</div>';

		return TRUE;
	}
}