<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Subscribtion_install
 *
 * Установка модуля "Рассылка"
 */

$title = "Рассылки";

$sql = array(
	"CREATE TABLE {subscribtion} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		created INT(12) UNSIGNED NOT NULL DEFAULT '0',
		send CHAR(1) NOT NULL DEFAULT '0',
		cat_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("nameLANG VARCHAR(250) NOT NULL default '',")."
		".multilang("textLANG text NOT NULL,")."
		trash CHAR(1) NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY cat_id (cat_id)
	)",

	"ALTER DATABASE {subscribtion} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",

	"CREATE TABLE {subscribtion_category} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG VARCHAR(250) NOT NULL default '',")."
		act CHAR(1) NOT NULL DEFAULT '0',
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("textLANG text NOT NULL,")."
		parent_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		trash CHAR(1) NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY parent_id (parent_id)
	)",

	"ALTER DATABASE {subscribtion_category} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",

	"INSERT INTO {adminsite} (id, parent_id, name, rewrite, text, act, numrow, sort) VALUES (
		39,
		15,
		'Рассылки',
		'subscribtion',
		'<p>С помощью этого модуля производится массовая рассылка сообщений подписчикам сайта. Для удобства, рассылки можно группировать по темам. Рассылка может занять продолжительное время. После запуска рассылки не закрывайте окно браузера до завершения процесса, в конце которого вы увидите информационное сообщение.<br />\r\n<a href=\"base_path/subscribtion/config1/\">Настройки модуля &quot;Рассылки&quot;</a>.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		347,
		'7'
	);",

	"INSERT INTO {config} (id, module_name, config, cat_id) VALUES (
		12
		,'subscribtion'
		,'cat=1"
		."\n"
		."emailconf=0"
		.multilang(
			"\n"
			."subject=Рассылка сайта %%title (%%url). %%subject"
			,
			"\n"
			."subject2=Subscription of web site %%title (%%url). %%subject"
			,""
		)."'
		,0
	);"
);

$example = array(
	"INSERT INTO {subscribtion_category} VALUES (
		1,
		".multilang("'Новости сайта',", "'News of site',", "'',")."
		'1',
		1,
		".multilang("'',")."
		0,
		'0'
	);",

	"INSERT INTO {subscribtion_category} VALUES (
		2,
		".multilang("'Новые поступления',", "'New goods',", "'',")."
		'1',
		2,
		".multilang("'',")."
		0,
		'0'
	);",

	"INSERT INTO {subscribtion_category} VALUES (
		3,
		".multilang("'для СМИ',", "'For mass medium',", "'',")."
		'1',
		3,
		".multilang("'',")."
		0,
		'0'
	);",

	"INSERT INTO {subscribtion_category} VALUES (
		4,
		".multilang("'Газеты',", "'Newspapers',", "'',")."
		'1',
		4,
		".multilang("'',")."
		3,
		'0'
	);",

	"INSERT INTO {subscribtion_category} VALUES (
		5,
		".multilang("'ТВ',", "'TV',", "'',")."
		'1',
		5,
		".multilang("'',")."
		3,
		'0'
	);"
);

function module_basic_uninstall_subscribtion()
{
	$module = 'subscribtion';
	DB::query("DROP TABLE {subscribtion};");
	DB::query("DROP TABLE {subscribtion_category};");
	DB::query("DELETE FROM {adminsite} WHERE rewrite='".$module."';");
	DB::query("DELETE FROM {config} WHERE module_name='".$module."';");
}