<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

define('DIAFAN',1);

include_once(dirname(__FILE__)."/bdcfg.php");


if(defined('VERSION_CMS') && VERSION_CMS == '4.3')
{
	include(dirname(__FILE__)."/includes/404.php");
}


define('IS_ADMIN', 1);
define('IS_INSTALL', 1);

error_reporting(E_ALL);

define("VERSION", "4.3");
define("D_UPDATE", "1298521560");
define("ABSOLUTE_PATH", dirname(__FILE__)."/");

include_once(ABSOLUTE_PATH.'includes/function.php');
include_once(ABSOLUTE_PATH.'includes/http.php');
include_once(ABSOLUTE_PATH.'includes/https.php');
include_once(ABSOLUTE_PATH.'includes/xml.php');
include_once(ABSOLUTE_PATH.'includes/core.php');
require_once(ABSOLUTE_PATH.'includes/database.php');
require_once(ABSOLUTE_PATH.'includes/session.php');
require_once(ABSOLUTE_PATH.'includes/user.php');
include_once(ABSOLUTE_PATH.'includes/init.php');

$diafan = new Init();

$language = array();
$result = DB::query("SELECT id FROM {language}");
while($row = DB::fetch_array($result))
{
    $language[] = $row["id"] != 1 ? $row["id"] : '';
}

DB::query("ALTER TABLE {news} ADD `site_id` INT( 11 ) UNSIGNED NOT NULL AFTER `cat_id`;");
DB::query("ALTER TABLE {clauses} ADD `site_id` INT( 11 ) UNSIGNED NOT NULL AFTER `cat_id`;");
DB::query("ALTER TABLE {faq} ADD `site_id` INT( 11 ) UNSIGNED NOT NULL AFTER `cat_id`;");
DB::query("ALTER TABLE {feedback} ADD `site_id` INT( 11 ) UNSIGNED NOT NULL AFTER `cat_id`;");
DB::query("ALTER TABLE {photo} ADD `site_id` INT( 11 ) UNSIGNED NOT NULL AFTER `cat_id`;");
DB::query("ALTER TABLE {shop} ADD `site_id` INT( 11 ) UNSIGNED NOT NULL AFTER `cat_id`;");
DB::query("ALTER TABLE {files} ADD `site_id` INT( 11 ) UNSIGNED NOT NULL AFTER `cat_id`;");
DB::query("ALTER TABLE {photo_category} ADD `site_id` INT( 11 ) UNSIGNED NOT NULL AFTER `parent_id`;");
DB::query("ALTER TABLE {shop_category} ADD `site_id` INT( 11 ) UNSIGNED NOT NULL AFTER `parent_id`;");
DB::query("ALTER TABLE {files_category} ADD `site_id` INT( 11 ) UNSIGNED NOT NULL AFTER `parent_id`;");
DB::query("UPDATE {news} SET site_id = cat_id;");
DB::query("UPDATE {news} SET cat_id = 0;");
DB::query("UPDATE {clauses} SET site_id = cat_id;");
DB::query("UPDATE {clauses} SET cat_id = 0;");
DB::query("UPDATE {faq} SET site_id = cat_id;");
DB::query("UPDATE {faq} SET cat_id = 0;");
DB::query("UPDATE {feedback} SET site_id = cat_id;");
DB::query("ALTER TABLE {feedback} DROP `cat_id`;");

DB::query("CREATE TABLE {news_category} (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  ".multilang("`nameLANG` varchar(250) NOT NULL DEFAULT '',")."
  ".multilang("`actLANG` char(1) NOT NULL DEFAULT '',")."
  `sort` int(11) unsigned NOT NULL DEFAULT '0',
  ".multilang("`keywordsLANG` varchar(250) NOT NULL DEFAULT '',")."
  ".multilang("`descrLANG` text NOT NULL,")."
  `parent_id` int(11) unsigned NOT NULL DEFAULT '0',
  `site_id` int(11) unsigned NOT NULL,
  ".multilang("`anonsLANG` text NOT NULL,")."
  ".multilang("`textLANG` text NOT NULL,")."
  `timeedit` int(12) unsigned NOT NULL DEFAULT '0',
  `trash` char(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`)
);");

DB::query("CREATE TABLE {clauses_category} (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  ".multilang("`nameLANG` varchar(250) NOT NULL DEFAULT '',")."
  ".multilang("`actLANG` char(1) NOT NULL DEFAULT '',")."
  `sort` int(11) unsigned NOT NULL DEFAULT '0',
  ".multilang("`keywordsLANG` varchar(250) NOT NULL DEFAULT '',")."
  ".multilang("`descrLANG` text NOT NULL,")."
  `parent_id` int(11) unsigned NOT NULL DEFAULT '0',
  `site_id` int(11) unsigned NOT NULL,
  ".multilang("`anonsLANG` text NOT NULL,")."
  ".multilang("`textLANG` text NOT NULL,")."
  `timeedit` int(12) unsigned NOT NULL DEFAULT '0',
  `trash` char(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`)
);");

DB::query("CREATE TABLE {faq_category} (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  ".multilang("`nameLANG` varchar(250) NOT NULL DEFAULT '',")."
  ".multilang("`actLANG` char(1) NOT NULL DEFAULT '',")."
  `sort` int(11) unsigned NOT NULL DEFAULT '0',
  ".multilang("`keywordsLANG` varchar(250) NOT NULL DEFAULT '',")."
  ".multilang("`descrLANG` text NOT NULL,")."
  `parent_id` int(11) unsigned NOT NULL DEFAULT '0',
  `site_id` int(11) unsigned NOT NULL,
  ".multilang("`anonsLANG` text NOT NULL,")."
  ".multilang("`textLANG` text NOT NULL,")."
  `timeedit` int(12) unsigned NOT NULL DEFAULT '0',
  `trash` char(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`)
);");

DB::query("ALTER TABLE {clauses} DROP INDEX `cat_id` ,
ADD INDEX `cat_id` ( `site_id` , `cat_id` ) ;");

DB::query("ALTER TABLE {news} DROP INDEX `cat_id` ,
ADD INDEX `cat_id` ( `site_id` , `cat_id` ) ;");

DB::query("ALTER TABLE {faq} DROP INDEX `cat_id` ,
ADD INDEX `cat_id` ( `site_id` , `cat_id` ) ;");

DB::query("ALTER TABLE {photo} DROP INDEX `cat_id` ,
ADD INDEX `cat_id` ( `site_id` , `cat_id` ) ;");

DB::query("ALTER TABLE {shop} DROP INDEX `cat_id` ,
ADD INDEX `cat_id` ( `site_id` , `cat_id` ) ;");

DB::query("ALTER TABLE {files} DROP INDEX `cat_id` ,
ADD INDEX `cat_id` ( `site_id` , `cat_id` ) ;");

DB::query("ALTER TABLE {clauses_category} ADD INDEX ( `site_id` );");
DB::query("ALTER TABLE {news_category} ADD INDEX ( `site_id` );");
DB::query("ALTER TABLE {faq_category} ADD INDEX ( `site_id` );");
DB::query("ALTER TABLE {files_category} ADD INDEX ( `site_id` );");
DB::query("ALTER TABLE {photo_category} ADD INDEX ( `site_id` );");
DB::query("ALTER TABLE {shop_category} ADD INDEX ( `site_id` );");
DB::query("ALTER TABLE {photo}".multilang(" ADD `textLANG` TEXT NOT NULL", ", ADD `textLANG` TEXT NOT NULL").";");

DB::query("CREATE TABLE {rewrite} (
`id` INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`rewrite` VARCHAR( 250 ) NOT NULL,
`module_name` VARCHAR( 8 ) NOT NULL ,
`element_id` INT( 11 ) UNSIGNED NOT NULL ,
`site_id` INT( 11 ) UNSIGNED NOT NULL ,
`cat_id` INT( 11 ) UNSIGNED NOT NULL ,
`trash` ENUM( '0', '1' ) NOT NULL
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;");

$result = DB::query("SELECT id, rewrite FROM {site}");
while($row = DB::fetch_array($result))
{
    DB::query("INSERT INTO {rewrite} (module_name, site_id, rewrite) VALUES ('site', '%d', '%s')", $row["id"], $row["rewrite"]);
}

DB::query("ALTER TABLE {site} DROP `rewrite`;");
DB::query("ALTER TABLE {site} ".multilang("ADD `title_metaLANG` VARCHAR( 250 ) NOT NULL after `titleLANG`", ", ADD `title_metaLANG` VARCHAR( 250 ) NOT NULL after `titleLANG`"));
DB::query("ALTER TABLE {site} ".multilang("DROP `title`",", DROP `titleLANG`").";");


$result = DB::query("SELECT id, addmodule FROM {site} WHERE trash='0' AND addmodule IN ('photo', 'shop', 'files')");
while($row = DB::fetch_array($result))
{
	if($row["addmodule"] == 'photo')
	{
		DB::query("UPDATE {photo} SET site_id=%d", $row["id"]);
		DB::query("UPDATE {photo_category} SET site_id=%d", $row["id"]);
	}
	if($row["addmodule"] == 'shop')
	{
		DB::query("UPDATE {shop} SET site_id=%d", $row["id"]);
		DB::query("UPDATE {shop_category} SET site_id=%d", $row["id"]);
	}
	if($row["addmodule"] == 'files')
	{
		DB::query("UPDATE {files} SET site_id=%d", $row["id"]);
		DB::query("UPDATE {files_category} SET site_id=%d", $row["id"]);
	}
}

DB::query("CREATE TABLE {category} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	module_name VARCHAR(10) NOT NULL DEFAULT '',
	element_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	cat_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (id),
	KEY cat_id (cat_id)
);");

$result = DB::query("SELECT id, cat_id FROM {photo}");
while($row = DB::fetch_array($result))
{
	DB::query("INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('photo', %d, %d)", $row["id"], $row["cat_id"]);
}

$result = DB::query("SELECT id, cat_id FROM {shop}");
while($row = DB::fetch_array($result))
{
	DB::query("INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('shop', %d, %d)", $row["id"], $row["cat_id"]);
}

$result = DB::query("SELECT id, cat_id FROM {files}");
while($row = DB::fetch_array($result))
{
	DB::query("INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('files', %d, %d)", $row["id"], $row["cat_id"]);
}

DB::query("ALTER TABLE {photo}".multilang(" ADD `anons` TEXT NOT NULL AFTER `site_id`", ", ADD `anonsLANG` TEXT NOT NULL AFTER `anons`").";");
DB::query("ALTER TABLE {shop}".multilang(" ADD `anons` TEXT NOT NULL AFTER `site_id`", ", ADD `anonsLANG` TEXT NOT NULL AFTER `anons`").";");
DB::query("ALTER TABLE {files}".multilang(" ADD `anons` TEXT NOT NULL AFTER `site_id`", ", ADD `anonsLANG` TEXT NOT NULL AFTER `anons`").";");
DB::query("ALTER TABLE {photo_category}".multilang(" ADD `anons` TEXT NOT NULL AFTER `site_id`", ", ADD `anonsLANG` TEXT NOT NULL AFTER `anons`").";");
DB::query("ALTER TABLE {shop_category}".multilang(" ADD `anons` TEXT NOT NULL AFTER `site_id`", ", ADD `anonsLANG` TEXT NOT NULL AFTER `anons`").";");
DB::query("ALTER TABLE {files_category}".multilang(" ADD `anons` TEXT NOT NULL AFTER `site_id`", ", ADD `anonsLANG` TEXT NOT NULL AFTER `anons`").";");

DB::query("ALTER TABLE {files}"
	  .multilang(" ADD `descr` TEXT NOT NULL AFTER `site_id`", ", ADD `descrLANG` TEXT NOT NULL AFTER `descr`")
	  .multilang(", ADD `keywords` VARCHAR( 250 ) NOT NULL AFTER `site_id`", ", ADD `keywordsLANG` VARCHAR( 250 ) NOT NULL AFTER `keywords`")
	  .";");

DB::query("ALTER TABLE {photo}"
	  .multilang(" ADD `descr` TEXT NOT NULL AFTER `site_id`", ", ADD `descrLANG` TEXT NOT NULL AFTER `descr`")
	  .multilang(", ADD `keywords` VARCHAR( 250 ) NOT NULL AFTER `site_id`", ", ADD `keywordsLANG` VARCHAR( 250 ) NOT NULL AFTER `keywords`")
	  .";");

DB::query("ALTER TABLE {faq}"
	  .multilang(" ADD `descr` TEXT NOT NULL AFTER `site_id`", ", ADD `descrLANG` TEXT NOT NULL AFTER `descr`")
	  .multilang(", ADD `keywords` VARCHAR( 250 ) NOT NULL AFTER `site_id`", ", ADD `keywordsLANG` VARCHAR( 250 ) NOT NULL AFTER `keywords`")
	  .";");

DB::query("ALTER TABLE {param} ADD `site_id` INT( 11 ) UNSIGNED NOT NULL AFTER `type`;");

DB::query("CREATE TABLE {shop_price} (
`id` INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`shop_id` INT( 11 ) UNSIGNED NOT NULL ,
`price` FLOAT UNSIGNED NOT NULL ,
`param_id` INT( 11 ) UNSIGNED NOT NULL ,
`param_value` TINYINT( 2 ) UNSIGNED NOT NULL
) ENGINE = MYISAM ;");

DB::query("ALTER TABLE {shop_price} ADD INDEX ( `shop_id` ) ;");

$result = DB::query("SELECT id, price FROM {shop}");
while($row = DB::fetch_array($result))
{
	if($row["price"])
	{
		DB::query("INSERT INTO {shop_price} (shop_id, price) VALUES (%d, %f)", $row["id"], $row["price"]);
	}
}

$result = DB::query("SELECT depend_price, param_id, value, element_id FROM {param_element} WHERE depend_price>0 AND module_name='shop'");
while($row = DB::fetch_array($result))
{
	DB::query("INSERT INTO {shop_price} (shop_id, price, param_id, param_value) VALUES (%d, %f, %d, %d)",
		  $row["element_id"], $row["value"], $row["param_id"], $row["depend_price"]);
}

DB::query("CREATE TABLE {param_select} (
	`id` INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY ,
	`param_id` INT( 11 ) UNSIGNED NOT NULL ,
	`value` TINYINT( 2 ) UNSIGNED NOT NULL ,
	".multilang("`nameLANG` VARCHAR( 50 ) NOT NULL ,")."
	INDEX ( `param_id` )
	) ENGINE = MYISAM ;");

$result = DB::query("SELECT param, id FROM {param} WHERE type='select'");
while ($row = DB::fetch_array($result))
{
	$sparam = explode('```', $row["param"]);
	foreach($sparam as $sp)
	{
		if(! $sp) continue;
		list($k, $v) = explode('=', $sp);
		if(preg_match('/_(.*)$/', $k, $m))
		{
			$values[preg_replace('/_'.$m[1].'$/', '', $k)]["lang".$m[1]] = $v;
		}
	}
	foreach($values as $k => $val)
	{
		DB::query("INSERT INTO {param_select} (param_id, value, name) VALUES (%d, %d, '%s')",
			  $row["id"], $k, $val["lang"]);
		$id = DB::next_id("param_select");
		foreach($language as $lang)
		{
			if($lang)
			{
				DB::query("UPDATE {param_select} SET name".$lang."='%s' WHERE id=%d", $val["lang".$lang], $id);
			}
		}
	}
}

$result = DB::query("SELECT param, id FROM {param} WHERE type='chechkox'");
while ($row = DB::fetch_array($result))
{
	$sparam = explode('```', $row["param"]);
	foreach($sparam as $sp)
	{
		if(! $sp) continue;
		list($k, $v) = explode('=', $sp);
		if(preg_match('/_(.*)$/', $k, $m))
		{
			$values[preg_replace('/_'.$m[1].'$/', '', $k)]["lang".$m[1]] = $v;
		}
	}
	foreach($values as $k => $val)
	{
		DB::query("INSERT INTO {param_select} (param_id, value, name) VALUES (%d, %d, '%s')",
			  $row["id"], $k == 'yes' ? 1 : 0, $val["lang"]);
		$id = DB::next_id("param_select");
		foreach($language as $lang)
		{
			if($lang)
			{
				DB::query("UPDATE {param_select} SET name".$lang."='%s' WHERE id=%d", $val["lang".$lang], $id);
			}
		}
	}
}

DB::query("ALTER TABLE {param} CHANGE `type` `type` ENUM( 'text', 'numtext', 'date', 'textarea', 'checkbox', 'select', 'email', 'editor', 'multiple' ) NOT NULL ;");

DB::query("UPDATE {param} SET type='multiple' WHERE depend_price='1'");

DB::query("ALTER TABLE {param} DROP `depend_price` ;");
DB::query("ALTER TABLE {param} ADD `list` CHAR( 1 ) NOT NULL AFTER `search` ,
ADD `block` CHAR( 1 ) NOT NULL AFTER `list` ;");

DB::query("ALTER TABLE {param} DROP `param` ;");

$result = DB::query("SELECT cat_id, id FROM {param} WHERE module_name='shop'");
while ($row = DB::fetch_array($result))
{
	$parents = $diafan->get_children($row["cat_id"], "shop_category");
	foreach($parents as $cat_id)
	{
		if($cat_id)
		{
			DB::query("INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('shopparam', %d, %d)", $row["id"], $cat_id);
		}
	}
}

DB::query("UPDATE {param} SET site_id=cat_id, cat_id=0 WHERE module_name='feedback'");
DB::query("ALTER TABLE {param} DROP `cat_id` ;");

DB::query("CREATE TABLE {tags_name} (
`id` TINYINT( 3 ) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY
".multilang(",`nameLANG` VARCHAR( 70 ) NOT NULL")."
) ENGINE = MYISAM ;");

DB::query("ALTER TABLE {tags} ADD `tags_name_id` TINYINT( 3 ) UNSIGNED NOT NULL ;");

DB::query("ALTER TABLE {tags} ADD INDEX ( `tags_name_id` ) ;");

$result = DB::query("SELECT DISTINCT text FROM {tags}");
while ($row = DB::fetch_array($result))
{
	DB::query("INSERT INTO {tags_name} (name) VALUE ('%s')", $row["text"]);
}

$result = DB::query("SELECT text, id FROM {tags}");
while ($row = DB::fetch_array($result))
{
	$name_id = DB::query_result("SELECT id FROM {tags_name} WHERE name='%s'", $row["text"]);
	DB::query("UPDATE {tags} SET tags_name_id=%d WHERE id=%d", $name_id, $row["id"]);
}

foreach($language as $lang)
{
	DB::query("ALTER TABLE {tags} DROP `text".$lang."`;");
}

DB::query("ALTER TABLE {tags_name} ADD `trash` CHAR( 1 ) NOT NULL DEFAULT '0';");

DB::query("ALTER TABLE {trash} CHANGE `module_name` `module_name` VARCHAR( 13 ) NOT NULL DEFAULT '';");


DB::query("ALTER TABLE {clauses} ".multilang("ADD `title_meta` VARCHAR( 250 ) NOT NULL AFTER `name`", ", ADD `title_metaLANG` VARCHAR( 250 ) NOT NULL AFTER `nameLANG`").";");
DB::query("ALTER TABLE {news} ".multilang("ADD `title_meta` VARCHAR( 250 ) NOT NULL AFTER `name`", ", ADD `title_metaLANG` VARCHAR( 250 ) NOT NULL AFTER `nameLANG`").";");
DB::query("ALTER TABLE {photo} ".multilang("ADD `title_meta` VARCHAR( 250 ) NOT NULL AFTER `name`", ", ADD `title_metaLANG` VARCHAR( 250 ) NOT NULL AFTER `nameLANG`").";");
DB::query("ALTER TABLE {files} ".multilang("ADD `title_meta` VARCHAR( 250 ) NOT NULL AFTER `name`", ", ADD `title_metaLANG` VARCHAR( 250 ) NOT NULL AFTER `nameLANG`").";");
DB::query("ALTER TABLE {shop} ".multilang("ADD `title_meta` VARCHAR( 250 ) NOT NULL AFTER `name`", ", ADD `title_metaLANG` VARCHAR( 250 ) NOT NULL AFTER `nameLANG`").";");
DB::query("ALTER TABLE {faq} ".multilang("ADD `title_meta` VARCHAR( 250 ) NOT NULL AFTER `name`", ", ADD `title_metaLANG` VARCHAR( 250 ) NOT NULL AFTER `nameLANG`").";");
DB::query("ALTER TABLE {clauses_category} ".multilang("ADD `title_meta` VARCHAR( 250 ) NOT NULL AFTER `name`", ", ADD `title_metaLANG` VARCHAR( 250 ) NOT NULL AFTER `nameLANG`").";");
DB::query("ALTER TABLE {news_category} ".multilang("ADD `title_meta` VARCHAR( 250 ) NOT NULL AFTER `name`", ", ADD `title_metaLANG` VARCHAR( 250 ) NOT NULL AFTER `nameLANG`").";");
DB::query("ALTER TABLE {photo_category} ".multilang("ADD `title_meta` VARCHAR( 250 ) NOT NULL AFTER `name`", ", ADD `title_metaLANG` VARCHAR( 250 ) NOT NULL AFTER `nameLANG`").";");
DB::query("ALTER TABLE {files_category} ".multilang("ADD `title_meta` VARCHAR( 250 ) NOT NULL AFTER `name`", ", ADD `title_metaLANG` VARCHAR( 250 ) NOT NULL AFTER `nameLANG`").";");
DB::query("ALTER TABLE {shop_category} ".multilang("ADD `title_meta` VARCHAR( 250 ) NOT NULL AFTER `name`", ", ADD `title_metaLANG` VARCHAR( 250 ) NOT NULL AFTER `nameLANG`").";");
DB::query("ALTER TABLE {faq_category} ".multilang("ADD `title_meta` VARCHAR( 250 ) NOT NULL AFTER `name`", ", ADD `title_metaLANG` VARCHAR( 250 ) NOT NULL AFTER `nameLANG`").";");

DB::query("ALTER TABLE {files} ADD `link` VARCHAR( 255 ) NOT NULL AFTER `text` ;");

DB::query("ALTER TABLE {shop} ADD `show_yandex` ENUM( '0', '1' ) NOT NULL AFTER `yandex` ;");
DB::query("ALTER TABLE {shop_category} ADD `show_yandex` ENUM( '0', '1' ) NOT NULL AFTER `timeedit` ;");
DB::query("ALTER TABLE {users_site} ADD `moderator` ENUM( '0', '1' ) NOT NULL AFTER `act` ;");

DB::query("ALTER TABLE {param_select} ADD `trash` ENUM( '0', '1' ) NOT NULL ;");
DB::query("ALTER TABLE {param_element} DROP `depend_price` ;");

DB::query("ALTER TABLE {images} "
	  .multilang("ADD `alt` VARCHAR( 250 ) NOT NULL after `element_id`",", ADD `altLANG` VARCHAR( 250 ) NOT NULL after `element_id`")
	  .multilang(", ADD `titleLANG` VARCHAR( 250 ) NOT NULL after `altLANG`")
	  .";");

DB::query("UPDATE {adminsite} SET `name` = 'Контент сайта' WHERE `id` =1;");
DB::query("UPDATE {adminsite} SET `name` = 'Интерактив' WHERE `id` =15;");
DB::query("UPDATE {adminsite} SET `name` = 'Конфигурации' WHERE `id` =16;");
DB::query("UPDATE {adminsite} SET `name` = 'Панель управления' WHERE `id` =17;");
DB::query("UPDATE {adminsite} SET `parent_id` = '1' WHERE `rewrite` = 'news';");
DB::query("UPDATE {adminsite} SET `parent_id` = '1' WHERE `rewrite` = 'clauses';");
DB::query("UPDATE {adminsite} SET `parent_id` = '1' WHERE `rewrite` = 'photo';");
DB::query("UPDATE {adminsite} SET `parent_id` = '1' WHERE `rewrite` = 'files';");
DB::query("UPDATE {adminsite} SET `parent_id` = '1' WHERE `rewrite` = 'tags';");
DB::query("UPDATE {adminsite} SET `parent_id` = '1' WHERE `rewrite` = 'shop';");

DB::query("ALTER TABLE {adminsite} CHANGE `id` `id` TINYINT( 3 ) UNSIGNED NOT NULL AUTO_INCREMENT ;");
DB::query("ALTER TABLE {adminsite} ADD `sort` TINYINT( 3 ) UNSIGNED NOT NULL ;");

DB::query("UPDATE {adminsite} SET `sort` = '1' WHERE `rewrite` = 'site';");
DB::query("UPDATE {adminsite} SET `sort` = '2' WHERE `rewrite` = 'news';");
DB::query("UPDATE {adminsite} SET `sort` = '3' WHERE `rewrite` = 'clauses';");
DB::query("UPDATE {adminsite} SET `sort` = '4' WHERE `rewrite` = 'photo';");
DB::query("UPDATE {adminsite} SET `sort` = '5' WHERE `rewrite` = 'files';");
DB::query("UPDATE {adminsite} SET `sort` = '6' WHERE `rewrite` = 'shop';");
DB::query("UPDATE {adminsite} SET `sort` = '7' WHERE `rewrite` = 'tags';");

DB::query("UPDATE {adminsite} SET `sort` = '6' WHERE `rewrite` = 'usersite';");
DB::query("UPDATE {adminsite} SET `sort` = '7' WHERE `rewrite` = 'subscribtion';");
DB::query("UPDATE {adminsite} SET `sort` = '8' WHERE `rewrite` = 'votes';");
DB::query("UPDATE {adminsite} SET `sort` = '9' WHERE `rewrite` = 'comments';");
DB::query("UPDATE {adminsite} SET `sort` = '10' WHERE `rewrite` = 'rating';");
DB::query("UPDATE {adminsite} SET `sort` = '11' WHERE `rewrite` = 'faq';");
DB::query("UPDATE {adminsite} SET `sort` = '12' WHERE `rewrite` = 'feedback';");
DB::query("UPDATE {adminsite} SET `sort` = '13' WHERE `rewrite` = 'forum';");

DB::query("UPDATE {adminsite} SET `sort` = '14' WHERE `rewrite` = 'users';");
DB::query("UPDATE {adminsite} SET `sort` = '15' WHERE `rewrite` = 'roles';");
DB::query("UPDATE {adminsite} SET `sort` = '16' WHERE `rewrite` = 'config';");
DB::query("UPDATE {adminsite} SET `sort` = '17' WHERE `rewrite` = 'configmodules';");


DB::query("UPDATE {adminsite} SET `sort` = '18' WHERE `rewrite` = 'language';");
DB::query("UPDATE {adminsite} SET `sort` = '19' WHERE `rewrite` = 'trash';");
DB::query("UPDATE {adminsite} SET `sort` = '20' WHERE `rewrite` = 'update';");
DB::query("UPDATE {adminsite} SET `sort` = '21' WHERE `rewrite` = 'install';");

DB::query("ALTER TABLE {adminsite} DROP `icon` ;");

DB::query("ALTER TABLE {comments} CHANGE `module_name` `module_name` VARCHAR( 17 ) NOT NULL DEFAULT ''");

$diafan->_cache->delete("", array());

	
//////////////////////bdcfg
$text = '<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined(\'DIAFAN\'))
{
	include(dirname(__FILE__).\'/includes/404.php\');
}
define("REVATIVE_PATH", "'.REVATIVE_PATH.'");

define("TIT", "'.TIT.'");

define("DB_URL",     "'.DB_URL.'");
define("DB_PREFIX",  "'.DB_PREFIX.'");
define("DB_CHARSET", "utf8");

define("EMAIL_CONFIG", "'.EMAIL_CONFIG.'");
define("HTMLEDITOR",   TRUE);
define("USERFILES",    "'.USERFILES.'");

define("LANGUAGE_BASE", "'.LANGUAGE_BASE.'");
define("VERSION_CMS",   "4.3");
define("DATE_UPDATE",   "'.D_UPDATE.'");
define("DIAFAN_CODE",   "");
define("ADMIN_FOLDER",  "'.ADMIN_FOLDER.'");

define("MOD_DEVELOPER",           FALSE);
define("MOD_DEVELOPER_CACHE",     FALSE);
define("MOD_DEVELOPER_PROFILING", FALSE);

define("FTP_HOST",     "'.FTP_HOST.'");
define("FTP_DIR",      "'.FTP_DIR.'");
define("FTP_LOGIN",    "'.FTP_LOGIN.'");
define("FTP_PASSWORD", "'.FTP_PASSWORD.'");
'
.(defined("ROBOX_LOGIN")?'
define("ROBOX_LOGIN", "'.ROBOX_LOGIN.'");
' : '').(defined("ROBOX_PASS_1") ? '
define("ROBOX_PASS_1", "'.ROBOX_PASS_1.'");
' : '').(defined("ROBOX_PASS_2") ? '
define("ROBOX_PASS_2", "'.ROBOX_PASS_2.'");
' : '').(defined("WM_SECRET")?'

define("WM_SECRET", "'.WM_SECRET.'");
' : '').(defined("WM_TARGET") ? '
define("WM_TARGET", "'.WM_TARGET.'");' : '');

$fp = fopen(ABSOLUTE_PATH."bdcfg.php", "w");
fwrite($fp, $text);
fclose($fp);

if(! is_dir(ABSOLUTE_PATH.USERFILES.'/ufiles'))
{
	mkdir(ABSOLUTE_PATH.USERFILES.'/ufiles', 0777);
}
if(! is_dir(ABSOLUTE_PATH.USERFILES.'/images'))
{
	mkdir(ABSOLUTE_PATH.USERFILES.'/images', 0777);
}

echo 'Обновление успешно завершено!';

function multilang($str)
{
	global $language;
	$result = '';

	$arg = func_get_args();
	$i = 0;

	foreach($language as $lang)
	{
		if(isset($arg[$i]))
		{
			$str = $arg[$i];
		}
		$result .= str_replace('LANG', $lang, $str).' ';
		$i ++;
	}
	return $result;
}