<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Comments_admin_config
 *
 * Конфигурирование модуля "Комментарии"
 */
class Comments_admin_config extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file	=	'comments_config';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->variable_table=array(
			'security_user'		=>'checkbox',
			'security_code'		=>'checkbox',
			'security_moderation'	=>'checkbox',
			'error-insert-message'	=>'text',
			'add-message'		=>'text',
			'error-add-message'	=>'text',
			'user_name'		=>'checkbox',
			'nastr'			=>'numtext',
			'format_date'		=>'select'
		);
		
		$this->language_names = array(
			'error-insert-message',
			'add-message',
			'error-add-message'
		);
		
		$this->select_arr["format_date"] = array(
			0 => _ADMIN_FORMAT_DATE_0,
			1 => _ADMIN_FORMAT_DATE_1,
			2 => _ADMIN_FORMAT_DATE_2,
			3 => _ADMIN_FORMAT_DATE_3,
			4 => _ADMIN_FORMAT_DATE_4
		);
		
	}
}