<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Configmodules_admin
 *
 * Конфигурирование модулей
 */
class Configmodules_admin extends Frame_admin
{
	/**
	 * @var string таблица в базе данных
	 */
	public $table	=	'config';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;
	}

	/**
	 * Выводит контент модуля
	 * @return boolean true
	 */	
	public function show_module()
	{
		echo '<table class="list">';
		$k  = 1;
		$ic = '';

		$result = DB::query("SELECT * FROM {adminsite} WHERE act='1' ORDER BY sort ASC");
		while ($row = DB::fetch_array($result))
		{
			if($this->diafan->admin_roles('config', $row["rewrite"]))
				continue;

			if(! file_exists('modules/'.$row["rewrite"].'/'.$row["rewrite"].'.admin.config.php'))
				continue;

			echo '
			<tr class="tr" altcolor="#eee">
			
				<td width="1%">
					'.(file_exists('adm/img/'.$row["rewrite"].'.gif') ? '<img src="'.BASE_PATH.'img/'.$row["rewrite"].'.gif">' : '').'
				</td>
				<td class="tdedit">
					<font>
						<a href="'.BASE_PATH_HREF.$row["rewrite"].'/config1/" title="Редактировать">'.$row["name"].'</a>
					</font>
				</td>
			</tr>';

			$k++;
		}
		echo '</table>';
	}
}