<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Faq_install
 *
 * Установка модуля "Вопрос-Ответ"
 */

$title = "Вопрос-Ответ";

$sql = array(
	"CREATE TABLE {faq} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL,")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		created INT(12) UNSIGNED NOT NULL DEFAULT '0',
		mail VARCHAR(40) NOT NULL DEFAULT '',
		cat_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("descrLANG text NOT NULL,")."
		".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("anonsLANG text NOT NULL,")."
		".multilang("textLANG text NOT NULL,")."
		often CHAR(1) NOT NULL DEFAULT '',
		timeedit INT(12) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY site_id (site_id)
	)",

	"ALTER DATABASE {faq} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",

	"CREATE TABLE {faq_category} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL,")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		parent_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("descrLANG text NOT NULL,")."
		".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("anonsLANG text NOT NULL,")."
		".multilang("textLANG text NOT NULL,")."
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		timeedit INT(12) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY parent_id (parent_id),
		KEY site_id (site_id)
	)",

	"ALTER DATABASE {faq_category} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("titleLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, addmodule) VALUES (
		6,
		".multilang("'".$title."',", "'Question/Answer',", "'',")."
		".multilang("'".$title."',", "'Question/Answer',", "'',")."
		".multilang("'1',")."
		'6',
		'".time()."',
		'faq'
	);",
	
	"INSERT INTO {rewrite} (id, rewrite, module_name, element_id, site_id, cat_id, trash) VALUES (6, 'faq', 'site', 0, 6, 0, '0')",
	
	"INSERT INTO {adminsite} (id, parent_id, name, rewrite, text, act, numrow, sort) VALUES (
		29,
		15,
		'Вопрос-Ответ',
		'faq',
		'<p>Вопросы задаются пользователями из формы на сайте. Каждый новый вопрос пользователя появляется в этом списке как неактивный. После того, как вопрос будет активирован (<img src=\"".BASE_PATH."adm/img/b3.gif\" alt=\"\" />), он появится на сайте.<br />\r\nВозможно добавить вопрос самостоятельно (<img src=\"".BASE_PATH."adm/img/b1.gif\" alt=\"\" />). Для настроек модуля служит &quot;<a href=\"base_path/faq/config1/\">Конфигурация</a>&quot;.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		759442,
		'11'
	);",
	
	"INSERT INTO {config} (id, module_name, config, cat_id) VALUES (
		4,
		'faq',
		'security=2"
		."\n"
		."format_date=1"
		."\n"
		."nastr=10"
		."\n"
		."count_list=3"
		."\n"
		."show-form=3"
		."\n"
		."files=1"
		."\n"
		."max-count-files=10"
		."\n"
		."attachment-extensions=doc, gif, jpg, mpg, pdf, png, txt, zip"
		."\n"
		."emailconf="
		."\n"
		."email="
		."\n"
		."comments=".(! empty($_POST["comments"])?'1':'0')
		."\n"
		."tags=".(! empty($_POST["tags"])?'1':'0')
		."\n"
		."sendmailadmin=1"
		."\n"
		."emailconfadmin="
		."\n"
		."email-admin="
		.multilang(
			"\n"
			."back-to-list=Вернуться к списку"
			."\n"
			."add-message=<div align=\"center\"><b>Спасибо за ваше сообщение!</b><br>Наш консультант подберет необходимую информацию, после чего ваш вопрос и ответ на него будут опубликованы на этой странице.</div>"
			."\n"
			."allfaq=Посмотреть все вопросы в категории"
			."\n"
			."error-insert-message=Ваше сообщение уже имеется в базе"
			."\n"
			."subject=%%title (%%url). Вопрос-Ответ"
			."\n"
			."message=Здравствуйте, %%name!<br>Вы задали вопрос на сайте %%title (%%url).<br><b>Вопрос:</b> %%question <br><b>Ответ:</b> %%answer"
			."\n"
			."subject-admin=%%title (%%url). Новый вопрос в рубрике Вопрос-Ответ"
			."\n"
			."message-admin=Здравствуйте, администратор сайта %%title (%%url)!<br>В рубрике Впорос-Ответ появился новый вопрос:<br>%%question.<br>%%name<br>%%email<br>Прикреленные файлы: %%files"
			,
			"\n"
			."back-to-list2=Back to list"
			."\n"
			."add-message2=<div align=\"center\"><b>Thank you for your message!</b><br>Our consultant will select necessary information and your question and answer to this question will publish on this page.</div>"
			."\n"
			."allfaq2=Show all questions in category"
			."\n"
			."error-insert-message2=Your message is already in data base."
			."\n"
			."error-empty-fields2=Please, enter obligatory fields &quot;Question&quot; or &quot;Name&quot;"
			."\n"
			."subject2=%%title (%%url). Question / Answer"
			."\n"
			."message2=Hello, %%name!<br>You asked the question on our web site %%title (%%url).<br><b>Question:</b> %%question<br><b>Answer:</b> %%answer"
		)."',
		0
	);"
);

$example = array(
	"UPDATE {site} SET
		actm='1'
		".multilang(
			", text='<p>Здесь любой наш посетитель может задать нам свой вопрос, а мы на него ответим.</p>'",

			", text2='<p>Here any our visitor can ask us the question, and we will answer it.</p>'",

			""
		)."
	WHERE id=6",

	"INSERT INTO {faq} VALUES (
		1,
		".multilang("'Элеонора',", "'Eleonora',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*10)."',
		'',
		0,
		6,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'Скажите, а вы мучаете бумажных животных?',",
	
			"'Tell, you torment paper animals?',",
	
			"'',"
		)."
		".multilang(
			"'<p>Безусловно нет!!! Не считая случаев самоубийства бумажной жар-птицы, севшей на свечку...</p>',",
	
			"'<p>Certainly is not present!!! Without considering cases of suicide of the paper firebird who have sat down on a candle...</p>',",
	
			"'',"
		)."
		'0',
		'".time()."',
		'0'
	)",

	"INSERT INTO {faq} VALUES (
		2,
		".multilang("'Мясоед',", "'Myasoed',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*9)."',
		'',
		0,
		6,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'А ваши животные съедобные?',",

			"'And your animals edible?',",

			"'',"
		)."
		".multilang(
			"'<p>Конечно, кетчуп &quot;Помидоркино&quot; все может сделать едой, но нашим животным не нравится, когда их едят.</p>',",

			"'<p>Certainly, ketchup &quot;Pomidorkino&quot; can make all meal, but it is not pleasant to our animals, when them eat.</p>',",

			"'',"
		)."
		'0',
		'".time()."',
		'0'
	)",

	"INSERT INTO {faq} VALUES (
		3,
		".multilang("'Гена',", "'Gena',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*8)."',
		'',
		0,
		6,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'А клетки в вашем зоопарке железные?',",

			"'And cages in your zoo the iron?',",

			"'',"
		)."
		".multilang(
			"'<p>Мы называем их &quot;вольерами&quot; - они из хлебных мякишей с веточками ольхи внутри.</p>',",

			"'<p>We name their &quot;open-air cages&quot; - they from grain crumbs with alder branches inside.</p>',",

			"'',"
		)."
		'0',
		'".time()."',
		'0'
	)",

	"INSERT INTO {faq} VALUES (
		4,
		".multilang("'Валя',", "'Valya',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*7)."',
		'',
		0,
		6,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'Что такое Бумажный зоопарк?',",

			"'What is the Paper zoo?',",

			"'',"
		)."
		".multilang(
			"'<p>Бумажный зоопарк, он же Картонная скотобаза, он же Макулатура в фигурках, он же Плоскоцеллюлозный зверинец - наше чудесное творение, где мы ждем вас и днем и ночью!</p>',",

			"'<p>Paper zoo, it Paper for recycling in figures, it Ploskotselljuloznyj a menagerie - our wonderful creation where we wait for you and day and night!</p>',",

			"'',"
		)."
		'1',
		'".time()."',
		'0'
	)",

	"INSERT INTO {faq} VALUES (
		5,
		".multilang("'Миша',", "'Misha',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*6)."',
		'',
		0,
		6,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'Сколько животных в вашем зоопарке?',",

			"'How many animals in your zoo?',",

			"'',"
		)."
		".multilang(
			"'<p>По подсчетам Иваныча, сторожа, более 100, однако по документам бухгалтерии не более 50.</p>',",

			"'<p>By estimates of Ivanycha, the watchman, more than 100, however under documents of accounts department no more than 50.</p>',",

			"'',"
		)."
		'1',
		'".time()."',
		'0'
	)",

	"INSERT INTO {faq} VALUES (
		6,
		".multilang("'Витя',", "'Vitya',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*5)."',
		'',
		0,
		6,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'Можно ли у вас купить животное?',",

			"'Whether it is possible to buy from you an animal?',",

			"'',"
		)."
		".multilang(
			"'<p>Конечно, заходите в каталог товаров на нашем сайте - все животные как на витрине - и слон и кот!</p>',",

			"'<p>Certainly, come into the catalogue of the goods on our site - all animals as on a show-window - both an elephant and a cat!</p>',",

			"'',"
		)."
		'1',
		'".time()."',
		'0'
	)",

	"INSERT INTO {faq} VALUES (
		7,
		".multilang("'Боец',", "'Boec',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*4)."',
		'',
		0,
		6,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'Как стать вашим представителем в регионе?',",

			"'How to become your representative in region?',",

			"'',"
		)."
		".multilang(
			"'<p>Вам необходимо арендовать центральный парк в вашем городе и отловить там всех муравьев.</p>',",

			"'<p>It is necessary for you to rent the central park in your city and to catch there all ants.</p>',",

			"'',"
		)."
		'1',
		'".time()."',
		'0'
	)",

	"INSERT INTO {faq} VALUES (
		8,
		".multilang("'Костик',", "'Kostik',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*3)."',
		'',
		0,
		6,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'У меня есть несколько бумажных животных. Можно они будут дружить с вашими?',",

			"'I have some paper animals. It will be possible to be on friendly terms they with yours?',",

			"'',"
		)."
		".multilang(
			"'<p>Дружить - можно. А к нам на содержание - не положено.</p>',",

			"'<p>To be on friendly terms - it is possible. And to us on the maintenance - it is not necessary.</p>',",

			"'',"
		)."
		'1',
		'".time()."',
		'0'
	)",

	"INSERT INTO {faq} VALUES (
		9,
		".multilang("'Карапуз',", "'Karapuz',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*2)."',
		'',
		0,
		6,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'Как можно попасть в ваш Зоопарк?',",

			"'How it is possible to get to your Zoo?',",

			"'',"
		)."
		".multilang(
			"'<p>Приезжайте по контактному адресу, обращайтесь к сторожу.</p>',",

			"'<p>Come to the contact address, address to the watchman.</p>',",

			"'',"
		)."
		'0',
		'".time()."',
		'0'
	)",

	"INSERT INTO {faq} VALUES (
		10,
		".multilang("'Пожарный',", "'Fireman',", "'',")."
		".multilang("'1',")."
		'".(time()-86400*1)."',
		'',
		0,
		6,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'Выпускаете ли вы своих животных в привычную среду? В лес, например.',",

			"'Whether you let out the animals in the habitual environment? In wood, for example.',",

			"'',"
		)."
		".multilang(
			"'<p>Мы их выпускаем на макулатурную свалку - там им хорошо!</p>',",

			"'<p>We let out them on a dump - there it well!</p>',",

			"'',"
		)."
		'0',
		'".time()."',
		'0'
	)",

	"INSERT INTO {faq} VALUES (
		11,
		".multilang("'Борис',", "'Boris',", "'',")."
		".multilang("'1',")."
		'".time()."',
		'',
		0,
		6,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'Требуются ли вам сотрудники для ухода за больными бумажными зверями?',",

			"'Whether employees for care of sick paper animals are required to you?',",

			"'',"
		)."
		".multilang(
			"'<p>Да, наш раздел вакансий никогда не пустует: нам нужны и ПВА-хирурги, и бумажные канцелярщики, и бумаго-прессо-сушители.</p>',",

			"'<p>Yes, our section of vacancies never is empty: PVA-SURGEONS, and bumago-presso-sushiteli are necessary to us also.</p>',",

			"'',"
		)."
		'0',
		'".time()."',
		'0'
	);"
);

/**
 * Выполняет действия для основной установки модуля
 * 
 * @return void
 */
function module_basic_faq()
{
	if(! is_dir(ABSOLUTE_PATH.USERFILES.'/faq'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/faq', 0777);
	}

	if(! is_dir(ABSOLUTE_PATH.USERFILES.'/faq/files'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/faq/files', 0777);
	}

	$text='Options -Indexes
	
<files *>
deny from all
</files>';
	
	$fp = fopen(ABSOLUTE_PATH.USERFILES.'/faq/files/.htaccess', "w");
	fwrite($fp, $text);
	fclose($fp);

	$url = parse_url(DB_URL);
	$result = DB::query("SHOW TABLES FROM ".substr($url['path'], 1));
	while($row = mysql_fetch_row($result))
	{
		if($row[0] == DB_PREFIX."attachment") return;
	}

	DB::query("CREATE TABLE {attachment} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		name VARCHAR(50) NOT NULL DEFAULT '',
		module_name VARCHAR(10) NOT NULL DEFAULT '',
		element_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		extension VARCHAR(255) NOT NULL DEFAULT '',
		size INT(11) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY element_id (element_id),
		KEY module_name (module_name(2))
	)");

	DB::query("ALTER DATABASE {attachment} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;");

}

/**
 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_faq()
{
	$module = 'faq';
	DB::query("DROP TABLE {".$module."};");
	DB::query("DROP TABLE {".$module."_category};");
	DB::query("DELETE FROM {rewrite} WHERE module_name='site' AND site_id IN (SELECT id FROM {site} WHERE addmodule='".$module."');");
	DB::query("DELETE FROM {site} WHERE addmodule='".$module."';");
	DB::query("DELETE FROM {rewrite} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {category} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {adminsite} WHERE rewrite='".$module."';");
	DB::query("DELETE FROM {config} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {attachment} WHERE module_name='".$module."';");
	@DB::query("DELETE FROM {tags} WHERE module_name='".$module."';");

	if($dirr = @opendir(ABSOLUTE_PATH.USERFILES.'/'.$module.'/files'))
	{
		while(($file = readdir($dirr)) !== false)
		{
		@unlink(ABSOLUTE_PATH.USERFILES.'/'.$module.'/files/'.$file);
		}
		closedir($dirr);
	}
	rmdir(ABSOLUTE_PATH.USERFILES.'/'.$module.'/files');

	if($dirr = @opendir(ABSOLUTE_PATH.USERFILES.'/'.$module))
	{
		while(($file = readdir($dirr)) !== false)
		{
			@unlink(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$file);
		}
		closedir($dirr);
	}
	rmdir(ABSOLUTE_PATH.USERFILES.'/'.$module);
}