<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Feedback_install
 *
 * Установка модуля "Обратная связь"
 */

$title = "Обратная связь";

$sql = array(
	"CREATE TABLE {feedback} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		created INT(12) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		language TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
		text TEXT NOT NULL,
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY site_id (site_id)
	)",

	"ALTER DATABASE {feedback} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("titleLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, addmodule) VALUES (
		12,
		".multilang("'".$title."',", "'Feedback',", "'',")."
		".multilang("'".$title."',", "'Feedback',", "'',")."
		".multilang("'1',")."
		'12',
		'".time()."',
		'feedback'
	);",

	"INSERT INTO {rewrite} (id, rewrite, module_name, element_id, site_id, cat_id, trash) VALUES (12, 'feedback', 'site', 0, 12, 0, '0')",

	"INSERT INTO {adminsite} (id, parent_id, name, rewrite, text, act, numrow, sort) VALUES (
		30,
		15,
		'Обратная связь',
		'feedback',
		'<p>Модуль аналогичен вопрос-ответ, за исключением возможности публиковать сообщения в пользовательской части сайта.<br />\r\n<a href=\"base_path/feedback/config1/\">Настройки сайта</a></p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		759442,
		'12'
	);",

	"INSERT INTO {config} (id, module_name, config, cat_id) VALUES (
		5,
		'feedback',
		'security=2"
		."\n"
		."files=0"
		."\n"
		."max-count-files=0"
		."\n"
		."attachment-extensions="
		."\n"
		."emailconf="
		."\n"
		."email="
		."\n"
		."sendmailadmin=1"
		."\n"
		."emailconfadmin="
		."\n"
		."email-admin="
		.multilang(
			"\n"
			."add-message=<div align=\"center\"><b>Спасибо за ваше сообщение!</b></div>"
			."\n"
			."error-add-message=Невозможно добавить ваше сообщение.<br>Проверьте правильность ввода."
			."\n"
			."error-empty-fields=Пожалуйста, заполните обязательное поле:"
			."\n"
			."subject=%%title (%%url). Обратная связь\nmessage=Здравствуйте!<br>Вы оставили сообщение в форме обратной связи на сайте %%title (%%url).<br><b>Сообщение:</b> %%message <br><b>Ответ:</b> %%answer"
			."\n"
			."subject-admin=%%title (%%url). Новое сообщение в рубрике Обратная связь"
			."\n"
			."message-admin=Здравствуйте, администратор сайта %%title (%%url)!<br>В рубрике Обратная связь появилось новое сообщение:<br>%%message",

			"\n"
			."add-message2=<div align=\"center\"><b>Thank you for your message!</b></div>"
			."\n"
			."error-add-message2=Impossible to add your message.<br>Сheсk if input data is correct."
			."\n"
			."error-insert-message2=Your message is already in data base."
			."\n"
			."error-empty-fields2=Please, enter obligatory field:"
			."\n"
			."subject2=%%title (%%url). Feedback"
			."\n"
			."message1=Hello!<br>You added message on the web site %%title (%%url).<br><b>Message:</b> %%message<br><b>Answer:</b> %%answer"
		)."',
		0
	);"
);
	
$example = array(
	"UPDATE {site} SET
		".multilang(
			"text='<p>Наш зоопарк гордится тем, что у нас одна из лучших систем обратной связи с нашими посетителями!</p>\r\n<p>Вы можете звонить по нашим телефонам, или отправьте сообщение из формы ниже, указав правильный почтовый ящик - и мы обязательно вам ответим!</p>'",
	
			", text2='<p>Our zoo is proud of that at us one of the best systems of a feedback with our visitors!<br /><br />You can call by our phones, or send the message from the form more low, having specified a correct mail box - and we necessarily will answer you!</p>'",
	
			""
		)."
	WHERE id=12",

	"INSERT INTO {feedback} VALUES (
		1,
		'".(time()-86400*2)."',
		'12',
		'',
		'',
		'0'
	);",

	"INSERT INTO {feedback} VALUES (
		2,
		'".(time()-86400)."',
		'12',
		'',
		'',
		'0'
	);",

	"INSERT INTO {feedback} VALUES (
		3,
		'".time()."',
		'12',
		'',
		'',
		'0'
	);",

	"INSERT INTO {param} VALUES (
		9,
		".multilang("'Ваше имя',", "'Your name',", "'',")."
		'feedback',
		'text',
		12,
		9,
		'0',
		'0',
		'0',
		1,
		'0'
	);",

	"INSERT INTO {param} VALUES (
		10,
		".multilang("'Ваш e-mail',", "'Your e-mail',", "'',")."
		'feedback',
		'email',
		12,
		10,
		'0',
		'0',
		'0',
		1,
		'0'
	);",

	"INSERT INTO {param} VALUES (
		11,
		".multilang("'Ваше сообщение',", "'Your message',", "'',")."
		'feedback',
		'textarea',
		12,
		11,
		'0',
		'0',
		'0',
		1,
		'0'
	);",

	"INSERT INTO {param_element} VALUES (
		1,
		".multilang("'Георгий',", "'',")."
		9,
		1,
		'feedback',
		'0'
	);",

	"INSERT INTO {param_element} VALUES (
		2,
		".multilang("'Георг',", "'',")."
		9,
		2,
		'feedback',
		'0'
	);",

	"INSERT INTO {param_element} VALUES (
		3,
		".multilang("'Виолетта',", "'',")."
		9,
		3,
		'feedback',
		'0'
	);",

	"INSERT INTO {param_element} VALUES (
		4,
		".multilang("'',")."
		10,
		1,
		'feedback',
		'0'
	);",

	"INSERT INTO {param_element} VALUES (
		5,
		".multilang("'',")."
		10,
		2,
		'feedback',
		'0'
	);",

	"INSERT INTO {param_element} VALUES (
		6,
		".multilang("'',")."
		10,
		3,
		'feedback',
		'0'
	);",

	"INSERT INTO {param_element} VALUES (
		10,
		".multilang("'Спасибо, что вы есть!',", "'',")."
		11,
		1,
		'feedback',
		'0'
	);",

	"INSERT INTO {param_element} VALUES (
		11,
		".multilang("'Были у вас на прошлой неделе. Все понравилось, только кролик нам на ногу наступил...',", "'',")."
		11,
		2,
		'feedback',
		'0'
	);",

	"INSERT INTO {param_element} VALUES (
		12,
		".multilang("'Надо мной посмеялась ваша ехидна, не поползу к вам больше, пока она не извинится!',", "'',")."
		11,
		3,
		'feedback',
		'0'
	);"
);

/**
 * Выполняет действия для основной установки модуля
 * 
 * @return void
 */
function module_basic_feedback()
{
	$id = DB::query_result("SELECT id FROM {adminsite} WHERE rewrite='feedback'");
	DB::query("INSERT INTO {adminsite} (parent_id, name, rewrite, text, act, numrow, sort) VALUES (".$id.", 'Конструктор формы', 'feedback/param', '', '1', 5248, '1');");

	if(! is_dir(ABSOLUTE_PATH.USERFILES.'/feedback'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/feedback', 0777);
	}

	if(! is_dir(ABSOLUTE_PATH.USERFILES.'/feedback/files'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/feedback/files', 0777);
	}

	$text = 'Options -Indexes

<files *>
deny from all
</files>';

	$fp = fopen(ABSOLUTE_PATH.USERFILES.'/feedback/files/.htaccess', "w");
	fwrite($fp, $text);
	fclose($fp);

	$url = parse_url(DB_URL);
	$result=DB::query("SHOW TABLES FROM ".substr($url['path'], 1));
	while ($row = mysql_fetch_row($result))
	{
		if($row[0] == DB_PREFIX."attachment") return;
	}

	DB::query("CREATE TABLE {attachment} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		name VARCHAR(50) NOT NULL DEFAULT '',
		module_name VARCHAR(10) NOT NULL DEFAULT '',
		element_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		extension VARCHAR(255) NOT NULL DEFAULT '',
		size INT(11) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY element_id (element_id),
		KEY module_name (module_name(2))
	)");

	DB::query("ALTER DATABASE {attachment} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;");

	$result = DB::query("SHOW TABLES FROM ".substr($url['path'], 1));
	while ($row = mysql_fetch_row($result))
	{
		if($row[0] == DB_PREFIX."param") return;
	}
	
	DB::query("CREATE TABLE {param} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		module_name VARCHAR(10) NOT NULL DEFAULT '',
		type ENUM('text', 'numtext', 'date', 'textarea', 'checkbox', 'select', 'email', 'editor', 'multiple') NOT NULL,
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		search ENUM('0', '1') NOT NULL DEFAULT '0',
		list ENUM('0', '1') NOT NULL DEFAULT '0',
		block ENUM('0', '1') NOT NULL DEFAULT '0',
		required ENUM('0', '1') NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY module_name (module_name(2))
	)");

	DB::query("ALTER DATABASE {param} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;");

	DB::query("CREATE TABLE {param_element} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("valueLANG text NOT NULL,")."
		param_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		element_id  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		module_name VARCHAR(10) NOT NULL DEFAULT '',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY element_id (element_id),
		KEY param_id (param_id),
		KEY value (value(5)),
		KEY module_name (module_name(2))
	)");

	DB::query("ALTER DATABASE {param_element} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;");

	DB::query("CREATE TABLE {param_select} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		param_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		value TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("nameLANG VARCHAR(50) NOT NULL DEFAULT '',")."
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY param_id (param_id)
	)");

	DB::query("ALTER DATABASE {param_select} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;");
}

/**
 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_feedback()
{
	$module = 'feedback';
	DB::query("DROP TABLE {".$module."};");
	DB::query("DELETE FROM {rewrite} WHERE module_name='site' AND site_id IN (SELECT id FROM {site} WHERE addmodule='".$module."');");
	DB::query("DELETE FROM {site} WHERE addmodule='".$module."';");
	DB::query("DELETE FROM {rewrite} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {adminsite} WHERE rewrite='".$module."';");
	DB::query("DELETE FROM {adminsite} WHERE rewrite='".$module."/param';");
	DB::query("DELETE FROM {config} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {attachment} WHERE module_name='".$module."';");
	@DB::query("DELETE FROM {comments} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {param} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {param_element} WHERE module_name='".$module."';");

	if($dirr = @opendir(ABSOLUTE_PATH.USERFILES.'/'.$module.'/files'))
	{
		while(($file = readdir($dirr)) !== false)
		{
			@unlink(ABSOLUTE_PATH.USERFILES.'/'.$module.'/files/'.$file);
		}
		closedir($dirr);
	}
	rmdir(ABSOLUTE_PATH.USERFILES.'/'.$module.'/files');

	if($dirr = @opendir(ABSOLUTE_PATH.USERFILES.'/'.$module))
	{
		while(($file = readdir($dirr)) !== false)
		{
			@unlink(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$file);
		}
		closedir($dirr);
	}
	rmdir(ABSOLUTE_PATH.USERFILES.'/'.$module);
}