<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Files_install
 *
 * Установка модуля "Файловый архив"
 */

$title = "Файловый архив";

$sql = array(
	"CREATE TABLE {files} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL,")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		cat_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("descrLANG text NOT NULL,")."
		".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("anonsLANG text NOT NULL,")."
		".multilang("textLANG text NOT NULL,")."
		link VARCHAR( 255 ) NOT NULL DEFAULT '',
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		timeedit INT(12) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY site_id (site_id)
	)",

	"ALTER DATABASE {files} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",

	"CREATE TABLE {files_category} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL,")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		parent_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("keywordsLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("descrLANG text NOT NULL,")."
		".multilang("title_metaLANG VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("anonsLANG text NOT NULL,")."
		".multilang("textLANG text NOT NULL,")."
		sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
		timeedit INT(12) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY parent_id (parent_id),
		KEY site_id (site_id)
	)",

	"ALTER DATABASE {files_category} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("titleLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, addmodule) VALUES (
		7,
		".multilang("'".$title."',", "'Files',", "'',")."
		".multilang("'".$title."',", "'Files',", "'',")."
		".multilang("'1',")."
		'7',
		'".time()."',
		'files'
	);",

	"INSERT INTO {rewrite} (id, rewrite, module_name, element_id, site_id, cat_id, trash) VALUES (7, 'files', 'site', 0, 7, 0, '0')",

	"INSERT INTO {adminsite} (id, parent_id, name, rewrite, text, act, numrow, sort) VALUES (
		43,
		1,
		'".$title."',
		'files',
		'<p>Модуль позволяет создавать на сайте каталоги информации с возможностью скачивания файлов ( архивов, изображений, презентаций). Предусмотрено разделение на рубрики, добавление описаний, фотографий-анонсов.<br />\r\n<a href=\"base_path/files/config1/\">Настройки модуля</a></p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		129707,
		'5'
	);",

	"INSERT INTO {config} (id, module_name, config, cat_id) VALUES (
		7,
		'files',
		'cat=1"
		."\n"
		."image=1"
		."\n"
		."big_width=600"
		."\n"
		."big_height=600"
		."\n"
		."big_quality=90"
		."\n"
		."medium_width=100"
		."\n"
		."medium_height=100"
		."\n"
		."medium_quality=80"
		."\n"
		."use_animation=1"
		."\n"
		."nastr=20"
		."\n"
		."count_list=3"
		."\n"
		."comments_cat=".(! empty($_POST["comments"]) ? '1' : '0')
		."\n"
		."comments=".(! empty($_POST["comments"]) ? '1' : '0')
		."\n"
		."tags=".(! empty($_POST["tags"]) ? '1' : '0')
		."\n"
		."rating=".(! empty($_POST["rating"]) ? '1' : '0')
		."\n"
		."attachment-extensions=doc, gif, jpg, mpg, pdf, png, txt, zip"
		.multilang(
			"\n"
			."allfiles=Посмотреть все файлы в категории",

			"\n"
			."allfiles2=Show all files in category",

			""
		)."',
		0
	);"
);

$example = array(
	"UPDATE {site} SET
		actm='1'
		".multilang(", name='Жизнь зоопарка'", ", name2='Zoo life'", "")."
		".multilang(", title='Материалы зоопарка'", ", title2='Zoo life'", "")."
		".multilang(
			", text='<p>В этой рубрике можно найти всякие секретные материалы нашего зоопарка. Это и архивы, и тексты, и картинки. Все доступно для скачивания на локальный компьютер, имеет расширенные описания и картинки.</p>'",
	
			", text2='<p>It is possible to find any confidential materials of our zoo in this heading. It both archives, and texts, and pictures. All is accessible to downloading on the local computer, has the expanded descriptions and pictures.</p>'",
	
			""
		)."
	WHERE id=7",
	
	"INSERT INTO {files} VALUES (
		1,
		".multilang("'Кони Прежевалинского-Россомахина',", "'Horses Prezhevalinsky-rossomahina',", "'',")."
		".multilang("'1',")."
		2,
		7,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'<p>Эти кони представлены несколькими особями в нашем зоопарке, от наиболее крупных, до мелких, но также весьма выносливых.</p>',",

			"'<p>These horses are presented by several individuals in our zoo, from the largest, to small, but also rather hardy.</p>',",

			"'',"
		)."
		'',
		1,
		'".time()."',
		'0'
	);",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('files', 1, 2);",
	
	"INSERT INTO {files} VALUES (
		2,
		".multilang("'Рогатые кони',", "'Horned horses',", "'',")."
		".multilang("'1',")."
		1,
		7,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'<p>Очень интересный подвид коней - рогатые кони, т.е. кони с рогами! Качайте наш файл с материалами, знакомьтесь!</p>',",

			"'<p>Very interesting subspecies of horses - horned horses, i.e. horses with horns! Swing our file with materials, get acquainted!</p>',",

			"'',"
		)."
		'',
		2,
		'".time()."',
		'0'
	);",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('files', 2, 1);",

	"INSERT INTO {files} VALUES (
		3,
		".multilang("'Фотографии экстравертов',", "'Photos of extroverts',", "'',")."
		".multilang("'1',")."
		2,
		7,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'<p>Все фотографии зверей в одном .zip-архиве! Качайте, сохраняйте!</p>',",

			"'<p>All photos of animals in one.zip-archive! Swing, keep!</p>',",

			"'',"
		)."
		'',
		3,
		'".time()."',
		'0'
	);",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('files', 3, 2);",

	"INSERT INTO {files} VALUES (
		4,
		".multilang("'Компромат на медведя',", "'The compromising evidence on a bear',", "'',")."
		".multilang("'1',")."
		3,
		7,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'<p>Медведь застукан на месте преступления!!! Сенсация. Качать всем.</p>',",

			"'<p>The bear is caught on a scene of crime!!! Sensation. To swing all.</p>',",

			"'',"
		)."
		'',
		4,
		'".time()."',
		'0'
	);",

	"INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('files', 4, 3);",

	"INSERT INTO {files_category} VALUES (
		1,
		".multilang("'Материалы на лошадей',", "'Materials on horses',", "'',")."
		".multilang("'1',")."
		0,
		7,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'<p>Тексты о лошадях, доступные для скачивания.</p>',",

			"'<p>Texts about the horses, accessible to downloading.</p>',",

			"'',"
		)."
		1,
		'".time()."',
		'0'
	)",

	"INSERT INTO {files_category} VALUES (
		2,
		".multilang("'Архивы',", "'Archive',", "'',")."
		".multilang("'1',")."
		0,
		7,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'<p>Если вам нужны фотографии по группам в .zip-архивах, качайте их здесь.</p>',",

			"'<p>If photos on groups in.zip-archives are necessary to you, swing them here.</p>',",

			"'',"
		)."
		2,
		'".time()."',
		'0'
	)",

	"INSERT INTO {files_category} VALUES (
		3,
		".multilang("'Компроматы',", "'Compromising evidences',", "'',")."
		".multilang("'1',")."
		0,
		7,
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang("'',")."
		".multilang(
			"'<p>Не пожалеете,&nbsp;что скачали!!! Шокирующие подробности из жизни животных.</p>',",

			"'<p>Will not regret that have downloaded!!! Shocking details from a life of animals.</p>',",

			"'',"
		)."
		3,
		'".time()."',
		'0'
	);",

	"INSERT INTO {attachment} VALUES (
		1,
		'koni-prezhevalinskogo-rossomaxina.txt',
		'files',
		'1',
		'text/plain',
		60,
		'0'
	)",

	"INSERT INTO {attachment} VALUES (
		2,
		'rogatye-koni.txt',
		'files',
		'2',
		'application/zip',
		1745,
		'0'
	)",

	"INSERT INTO {attachment} VALUES (
		6,
		'kompromat-na-medvedya.txt',
		'files',
		'4',
		'text/plain',
		97,
		'0'
	);"

);

/**
 * Выполняет действия для основной установки модуля
 * 
 * @return void
 */
function module_basic_files()
{
	if(! is_dir(ABSOLUTE_PATH.USERFILES.'/files'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/files', 0777);
	}

	if(! is_dir(ABSOLUTE_PATH.USERFILES.'/files/small'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/files/small', 0777);
	}

	if(! is_dir(ABSOLUTE_PATH.USERFILES.'/files/medium'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/files/medium', 0777);
	}

	if(! is_dir(ABSOLUTE_PATH.USERFILES.'/files/files'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/files/files', 0777);
	}

	$text = 'Options -Indexes

<files *>
deny from all
</files>';

	$fp = fopen(ABSOLUTE_PATH.USERFILES.'/files/files/.htaccess', "w");
	fwrite($fp, $text);
	fclose($fp);

	$url = parse_url(DB_URL);
	$result = DB::query("SHOW TABLES FROM ".substr($url['path'], 1));
	while ($row = mysql_fetch_row($result)) {
		if($row[0] == DB_PREFIX."attachment") return;
	}

	DB::query("CREATE TABLE {attachment} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		name VARCHAR(50) NOT NULL DEFAULT '',
		module_name VARCHAR(10) NOT NULL DEFAULT '',
		element_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		extension VARCHAR(255) NOT NULL DEFAULT '',
		size INT(11) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY element_id (element_id),
		KEY module_name (module_name(2))
	)");

	DB::query("ALTER DATABASE {attachment} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;");
}

/**
 * Выполняет действия для установки примеров заполнения модуля
 * 
 * @return void
 */
function module_example_files()
{
	$array = array(
		1 => 'Кони Пржеваниского-Россомахина - одни из самых лучших коней!',
		2 => 'Под "Рогатыми конями" скрываются просто олени и горные козлы.'
	);

	foreach($array as $k => $a)
	{
		$fp = fopen(ABSOLUTE_PATH.USERFILES.'/files/files/'.$k, "w");
		fwrite($fp, $a);
		fclose($fp);
	}

	if(! file_exists(ABSOLUTE_PATH.USERFILES.'/files/files/fotografii-ekstravertov.zip'))
	{
		copy('http://cms.diafan.ru/files4.2/files/files/fotografii-ekstravertov.zip',
		     ABSOLUTE_PATH.USERFILES.'/files/files/fotografii-ekstravertov.zip');
	}

	$array = array(
		1 => array(15 => 'koni-prezhevalinskogo-rossomaxina', 16 => 'koni-prezhevalinskogo-rossomaxina', 17 => 'koni-prezhevalinskogo-rossomaxina'),
		2 => array(18 => 'rogatye-koni', 19 => 'rogatye-koni'),
		3 => array(20 => 'fotografii-intravertov', 21 => 'fotografii-intravertov'),
		4 => array(22 => 'kompromat')
	);
	$module = 'files';
	foreach($array as $k => $a)
	{
		foreach($a as $id => $name)
		{
			DB::query("INSERT INTO {images} (id, name, module_name, element_id, sort) VALUES ('%d', '%s', '%s', '%d', '%d')", $id, $name, $module, $k, $id);
			$name = $name.'_'.$id;

			if(! file_exists(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name.'.jpg'))
			{
				copy('http://cms.diafan.ru/files4.2/'.$module.'/'.$name.'.jpg',
				     ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name.'.jpg');
				copy('http://cms.diafan.ru/files4.2/'.$module.'/small/'.$name.'.jpg',
				     ABSOLUTE_PATH.USERFILES.'/'.$module.'/small/'.$name.'.jpg');
				copy('http://cms.diafan.ru/files4.2/'.$module.'/medium/'.$name.'.jpg',
				     ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium/'.$name.'.jpg');
			}

			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name.'.jpg', 0777);
			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/small/'.$name.'.jpg', 0777);
			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium/'.$name.'.jpg', 0777);
		}
	}
}

/**
 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_files()
{
	$module = 'files';
	DB::query("DROP TABLE {".$module."};");
	DB::query("DROP TABLE {".$module."_category};");
	DB::query("DELETE FROM {rewrite} WHERE module_name='site' AND site_id IN (SELECT id FROM {site} WHERE addmodule='".$module."');");
	DB::query("DELETE FROM {site} WHERE addmodule='".$module."';");
	DB::query("DELETE FROM {rewrite} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {category} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {adminsite} WHERE rewrite='".$module."';");
	DB::query("DELETE FROM {config} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {images} WHERE module_name='".$module."';");
	@DB::query("DELETE FROM {rating} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {attachment} WHERE module_name='".$module."';");
	@DB::query("DELETE FROM {comments} WHERE module_name='".$module."';");
	@DB::query("DELETE FROM {comments} WHERE module_name='".$module."_category';");
	@DB::query("DELETE FROM {tags} WHERE module_name='".$module."';");

	if($dirr = @opendir(ABSOLUTE_PATH.USERFILES.'/'.$module.'/small'))
	{
		while(($file = readdir($dirr)) !== false)
		{
			@unlink(ABSOLUTE_PATH.USERFILES.'/'.$module.'/small/'.$file);
		}
		closedir($dirr);
	}
	rmdir(ABSOLUTE_PATH.USERFILES.'/'.$module.'/small');

	if($dirr = @opendir(ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium'))
	{
		while(($file = readdir($dirr)) !== false)
		{
			@unlink(ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium/'.$file);
		}
		closedir($dirr);
	}
	rmdir(ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium');

	if($dirr = @opendir(ABSOLUTE_PATH.USERFILES.'/'.$module.'/files'))
	{
		while(($file = readdir($dirr)) !== false)
		{
			@unlink(ABSOLUTE_PATH.USERFILES.'/'.$module.'/files/'.$file);
		}
		closedir($dirr);
	}
	rmdir(ABSOLUTE_PATH.USERFILES.'/'.$module.'/files');

	if($dirr = @opendir(ABSOLUTE_PATH.USERFILES.'/'.$module))
	{
		while(($file = readdir($dirr)) !== false)
		{
			@unlink(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$file);
		}
		closedir($dirr);
	}
	rmdir(ABSOLUTE_PATH.USERFILES.'/'.$module);
}