<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Платежная квитанция на опталу
 */

include (ABSOLUTE_PATH."modules/order/num2str.php");

if(preg_match('/(.*)\/([0-9]+)/', $_GET["rewrite"], $match))
{
	$order_id = $match[2];
	$type = $match[1];
}
$row = array();
Session::init();
$this->language_all();
$this->get_user();
$this->get_language_site();

if(! empty($_SESSION["order"]) && in_array($order_id, $_SESSION["order"]))
{
	$row = DB::fetch_array(DB::query("SELECT user_id, summ, created, address FROM {shop_order} WHERE id = %d AND payment=3 AND trash='0'", $order_id));  
}
elseif($this->_user->id)
{
	$row = DB::fetch_array(DB::query("SELECT user_id, summ, created, address FROM {shop_order} WHERE id = %d AND user_id=%d AND payment=3 AND trash='0'", $order_id, $this->_user->id));  
}

if(empty($row))
{
	include_once(ABSOLUTE_PATH."includes/404.php");
}

$order_created = $row["created"];
if($this->_user->id)
{
	$order_fio = $this->_user->fio;
}
else
{
	list($order_fio, $address) = explode(',', $row["address"], 2);
}
$order_summ = $row["summ"];
include_once(ABSOLUTE_PATH."language/".LANGUAGE_BASE.".php");

if($type == 'ul')
{
?>
<html>
<head>
<title><?php echo _LANG_NON_CACH_ACCOUNT_UL;?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<STYLE type=text/css>
body { margin: 5; background-color: white; color: black; font-family: Verdana; }
TD { color: #000000; font-family: Verdana; font-size: 13px}
</STYLE>
</head>

<body bgcolor="#FFFFFF" text="#000000">

<table width="607" border="0" cellpadding="0" cellspacing="0">
  <tr> 
    <td width="85" height="80" valign="middle" align="center"></td>
    <td width="522" valign="top"><b><?php echo $diafan->configmodules("non_cash_name", "shop");?></b><br>
      ИНН <?php echo $diafan->configmodules("non_cash_inn", "shop");?>, ОГРН <?php echo $diafan->configmodules("non_cash_ogrn", "shop");?><br>
      <?php echo $diafan->configmodules("non_cash_address", "shop");?>
    </td>
  </tr>
  <tr valign="bottom" align="center"> 
    <td colspan="2" height="30" valign="bottom"><b>Образец заполнения платежного 
      поручения</b></td>

  </tr>
  <tr> 
    <td height="75" colspan="2" valign="top"> 
      <table width="100%" cellpadding="4" cellspacing="0" style='border: 1px solid black; border-width: 1px 1px 0px 0px'>
        <tr> 
          <td width="317" height="36" valign="top" bgcolor="#FFFFFF" style='border: 1px solid black; border-width: 0px 0px 1px 1px'>Получатель:<br>
            ИНН <b><?php echo $diafan->configmodules("non_cash_inn", "shop").' '.$diafan->configmodules("non_cash_name", "shop");?> </b></td>
          <td width="90" valign="bottom" bgcolor="#FFFFFF" align="right" style='border: 1px solid black; border-width: 0px 0px 1px 1px'>Сч. №</td>

          <td valign="bottom" width="185" bgcolor="#FFFFFF" style='border: 1px solid black; border-width: 0px 0px 1px 1px'><b><?php echo $diafan->configmodules("non_cash_rs", "shop");?></b></td>
        </tr>
        <tr> 
          <td valign="top" bgcolor="#FFFFFF" height="36" style='border: 1px solid black; border-width: 0px 0px 1px 1px'>Банк получателя:<br>
            <b><?php echo $diafan->configmodules("non_cash_bank", "shop");?></b></td>
          <td valign="top" bgcolor="#FFFFFF" align="right" style='border: 1px solid black; border-width: 0px 0px 1px 1px'>БИК<br>
            Кор. Сч. №</td>

          <td valign="top" bgcolor="#FFFFFF" style='border: 1px solid black; border-width: 0px 0px 1px 1px'><b><?php echo $diafan->configmodules("non_cash_bik", "shop");?><br>
            </b> <b><?php echo $diafan->configmodules("non_cash_ks", "shop");?></b> </td>
        </tr>
      </table>
    </td>
  </tr>

  <tr valign="middle" align="center"> 
    <td height="45" colspan="2" valign="middle"><b><font size="3">СЧЕТ №<?php echo $order_id; ?> от 
      <?php echo date("d.m.Y", $order_created); ?> г.</font></b></td>
  </tr>
  <tr> 


    <td height="48" colspan="2" valign="top"><b>Заказчик:</b> <?php echo $order_fio; ?><br>
      <b>Плательщик:</b> <?php echo $order_fio; ?> <br>

    </td>
  </tr>
  <tr> 
    <td height="148" colspan="2" valign="top"> 
      <table width="100%" cellpadding="4" cellspacing="0" style='border: 1px solid black; border-width: 1px 1px 0px 0px'>
        <tr> 
          <td width="25" height="38" valign="top" align="center" style='border: 1px solid black; border-width: 0px 0px 1px 1px'><b>№</b></td>
          <td width="317" valign="top" align="center" style='border: 1px solid black; border-width: 0px 0px 1px 1px'><b>Наименование 
            товара, услуг</b> </td>
          <td valign="top" width="54" align="center" style='border: 1px solid black; border-width: 0px 0px 1px 1px'><b>Ед.изм.</b></td>

          <td valign="top" width="42" align="center" style='border: 1px solid black; border-width: 0px 0px 1px 1px'><b>Кол-во</b></td>
          <td valign="top" width="39" align="center" style='border: 1px solid black; border-width: 0px 0px 1px 1px'><b>Цена</b></td>
          <td valign="top" width="76" align="right" style='border: 1px solid black; border-width: 0px 0px 1px 1px'><b>Сумма</b></td>
        </tr>
<?php
$order_summ = 0;
$order_count = 0;
$result = DB::query("SELECT * FROM {shop_goods} where order_id = %d", $order_id); 
while ($row = DB::fetch_array($result))
{
	$order_summ  += $row["price"] * $row["count_goods"];
	$order_count += $row["count_goods"];
	$depend = '';
	if($row["depend_price"])
	{
		$param_name  = DB::query_result("SELECT [name] FROM {param} WHERE id IN (SELECT param_id FROM {shop_price} WHERE shop_id=%d AND param_value=%d)", $row["good"], $row["depend_price"]);
		$param_value = DB::query_result("SELECT s.[name] FROM {param_select} as s WHERE s.value=%d AND s.param_id IN (SELECT param_id FROM {shop_price} WHERE shop_id=%d AND param_value=s.value)", $row["depend_price"], $row["good"]);
		$depend = ', '.$param_name.': '.$param_value;
	}
?>
<tr>
<td valign=middle align=right style='border: 1px solid black; border-width: 0px 0px 1px 1px'>1</td>
<td valign=top align=left style='border: 1px solid black; border-width: 0px 0px 1px 1px'><?php echo DB::query_result("SELECT name FROM {shop} WHERE id=%d", $row["good"]).$depend;?></td>
<td valign=top align=right style='border: 1px solid black; border-width: 0px 0px 1px 1px'>&nbsp;</td>
<td valign=middle align=right style='border: 1px solid black; border-width: 0px 0px 1px 1px'><?php echo $row["count_goods"];?></td>
<td valign=middle align=right style='border: 1px solid black; border-width: 0px 0px 1px 1px'><nobr><?php echo $diafan->format_price($row["price"]); ?></nobr></td>
<td valign=middle align=right style='border: 1px solid black; border-width: 0px 0px 1px 1px'><?php echo $diafan->format_price($row["price"] * $row["count_goods"]); ?></td>
</tr>
<?php
}
?>
        <tr> 
          <td valign="top" colspan="5" rowspan="3" align="right" style='border: 1px solid black; border-width: 0px 0px 1px 1px'><b>Итого:<br>
            <img src=http://db.diafan.ru/empty.gif height=7><br>
            </b><b>Без налога (НДС)<br>

            <img src=http://db.diafan.ru/empty.gif height=7><br>
            Всего к оплате:</b></td>
          <td height="22" valign="top" align="right" style='border: 1px solid black; border-width: 0px 0px 1px 1px'><b><?php echo $diafan->format_price($order_summ); ?></b></td>
        </tr>
        <tr> 
          <td height="22" valign="top" align="center" style='border: 1px solid black; border-width: 0px 0px 1px 1px'>-</td>
        </tr>
        <tr> 
          <td height="22" valign="top" align="right" style='border: 1px solid black; border-width: 0px 0px 1px 1px'><b><?php echo $diafan->format_price($order_summ); ?></b></td>

        </tr>
      </table>
    </td>
  </tr>
  <tr> 
    <td height="49" colspan="2" valign="bottom">Всего наименований <?php echo $order_count;?>, на сумму:<br>
      <b><?php echo num2str($order_summ); ?></b></td>
  </tr>

  <tr valign="bottom"> 
    <td height="70" colspan="2" valign="bottom">
      <br><br>
	Руководитель предприятия: ____________________________ (<?php echo $diafan->configmodules("non_cash_director", "shop");?>)<br>
	Главный бухгалтер: ___________________________________ (<?php echo $diafan->configmodules("non_cash_glbuh", "shop");?>)</td>
  </tr>
  <tr> 
    <td height="60" colspan="2">&nbsp;</td>

  </tr>


</table>
</body>
</html>
<?php
}
else
{
    $order_name = str_replace('%order', $order_id, $diafan->configmodules("desc_order", "shop"));
      
    $months_array = array(
		'01' => _LANG_JANUARYTH,
		'02' => _LANG_FEBRUARYTH,
		'03' => _LANG_MARCHTH,
		'04' => _LANG_APRILTH,
		'05' => _LANG_MAYTH,
		'06' => _LANG_JUNETH,
		'07' => _LANG_JULYTH,
		'08' => _LANG_AUGUSTTH,
		'09' => _LANG_SEPTEMBERTH,
		'10' => _LANG_OCTOBERTH,
		'11' => _LANG_NOVEMBERTH,
		'12' => _LANG_DECEMBERTH
	);
?>
   
<html>
<head>
<title><?php echo _LANG_NON_CACH_ACCOUNT_FL;?></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<STYLE type=text/css>
body
{
	font-family:Arial, Helvetica, sans-serif;
}

a
{
	color:#006400;
}

p
{
	padding: 5px 0px 0px 5px;
}

.vas ul
{
	padding: 0px 10px 0px 15px;
}

.vas li
{
	list-style-type:circle;
}

h3
{
	padding:0px 0px 0px 5px;
	font-size:100%; 
}

h1
{
	color:#006400;
	padding:0px 0px 0px 5px; 
	font-size:120%;
}

li
{
	list-style-type: none;
	padding-bottom:5px;
	padding: 6px 0px 0px 5px;
}

.main
{
	font-size:12px;
}

.list
{
	font-size:12px;
	padding: 6px 15px 0px 5px;
}

.main input
{
	font-size:12px;
	background-color:#CCFFCC;
}

.text14
{
	font-family:"Times New Roman", Times, serif;
	font-size:14px;
}
.text14 strong
{
	font-family:"Times New Roman", Times, serif;
	font-size:11px;
}

.link
{
	font-size:12px;
}

.link a
{
	text-decoration:none;
	color:#006400;
}

.link_u
{
	font-size:12px;
}
.link_u a
{
	color:#006400;
}
</STYLE>
</head>
   <div class="text14">
<table width="720" bordercolor="#000000" style="border:#000000 1px solid;" cellpadding="0" cellspacing="0">
  <tr>

    <td width="220" valign="top" height="250" align="center" style="border-bottom:#000000 1px solid; border-right:#000000 1px solid;">&nbsp;<strong>Платеж</strong></td>
    <td valign="top" style="border-bottom:#000000 1px solid; border-right:#000000 1px solid;">
       <li><strong>Получатель: </strong> <font style="font-size:90%"> <u><?php echo $diafan->configmodules("non_cash_name", "shop");?></u></font><br />  
      <li><strong>КПП:</strong> <u><?php echo $diafan->configmodules("non_cash_kpp", "shop");?></u>
      <strong>ИНН:</strong> <u><?php echo $diafan->configmodules("non_cash_inn", "shop");?></u><font style="font-size:11px"> &nbsp;</font> <br />

     <li><strong>Код ОКАТО:</strong> <u><?php echo $diafan->configmodules("non_cash_okato", "shop");?></u>
      <strong>P/сч.:</strong> <u><?php echo $diafan->configmodules("non_cash_rs", "shop");?></u></li>
      <li> <strong>в:</strong> <font style="font-size:90%"><u><?php echo $diafan->configmodules("non_cash_bank", "shop");?></u></font><br /> 
     <li><strong>БИК:</strong> <u><?php echo $diafan->configmodules("non_cash_bik", "shop");?></u>
     <strong>К/сч.:</strong> <u><?php echo $diafan->configmodules("non_cash_ks", "shop");?></u><br />

     <li><strong>Код бюджетной классификации (КБК):</strong> <u><?php echo $diafan->configmodules("non_cash_kbk", "shop");?></u> 
     <li><strong>Платеж:</strong> <font style="font-size:90%"><?php echo $order_name;?></font><br />
     <li><strong>Плательщик:</strong>  <u><?php echo $order_fio;?></u><br />
     <li><strong>Сумма:</strong> <?php echo intval($order_summ);?> руб. <?php echo $order_summ % 1;?> коп. &nbsp;&nbsp;&nbsp;&nbsp;<br /> 
    Подпись:________________________        Дата:
    <?php echo "&quot;".date("d",$order_created)."&quot; ".$months_array[date("m",$order_created)]." ".date("Y",$order_created);?> г. <br /><br /> 
    </td>

  </tr>
  <tr>
    <td width="220" valign="top" height="250" align="center" style="border-bottom:#000000 1px solid; border-right:#000000 1px solid;">&nbsp;<strong>Квитанция</strong></td>
    <td valign="top" style="border-bottom:#000000 1px solid; border-right:#000000 1px solid;">
       <li><strong>Получатель: </strong> <font style="font-size:90%"> <u><?php echo $diafan->configmodules("non_cash_name", "shop");?></u></font><br />  
      <li><strong>КПП:</strong> <u><?php echo $diafan->configmodules("non_cash_kpp", "shop");?></u>
      <strong>ИНН:</strong> <u><?php echo $diafan->configmodules("non_cash_inn", "shop");?></u><font style="font-size:11px"> &nbsp;</font> <br />

     <li><strong>Код ОКАТО:</strong> <u><?php echo $diafan->configmodules("non_cash_okato", "shop");?></u>
      <strong>P/сч.:</strong> <u><?php echo $diafan->configmodules("non_cash_rs", "shop");?></u></li>
      <li> <strong>в:</strong> <font style="font-size:90%"><u><?php echo $diafan->configmodules("non_cash_bank", "shop");?></u></font><br /> 
     <li><strong>БИК:</strong> <u><?php echo $diafan->configmodules("non_cash_bik", "shop");?></u>
     <strong>К/сч.:</strong> <u><?php echo $diafan->configmodules("non_cash_ks", "shop");?></u><br />

     <li><strong>Код бюджетной классификации (КБК):</strong> <u><?php echo $diafan->configmodules("non_cash_kbk", "shop");?></u> 
     <li><strong>Платеж:</strong> <font style="font-size:90%"><?php echo $order_name;?></font><br />
     <li><strong>Плательщик:</strong>  <u><?php echo $order_fio;?></u><br />
     <li><strong>Сумма:</strong> <?php echo intval($order_summ);?> руб. <?php echo $order_summ % 1;?> коп. &nbsp;&nbsp;&nbsp;&nbsp;<br /> 
    Подпись:________________________        Дата:
    <?php echo "&quot;".date("d", $order_created)."&quot; ".$months_array[date("m", $order_created)]." ".date("Y", $order_created);?> г. <br /><br /> 
    </td>

  </tr>
</table>
</div>
</html>
</body>
   <?php
}
