<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Обработка данных, полученных от системы WebMoney
 */
if($_GET["rewrite"] == "wm/result")
{
	if(! isset($_POST['LMI_PREREQUEST']) || $_POST['LMI_PREREQUEST'] != 1)
	{
	
		if(! isset($_POST['LMI_PAYMENT_NO']) || preg_match('/^\d+$/', $_POST['LMI_PAYMENT_NO']) != 1 || ! isset($_POST['RND'])
		   || preg_match('/^[A-Z0-9]{8}$/', $_POST['RND'], $match) != 1)
		{
			include(ABSOLUTE_PATH."includes/404.php");
		}
	
		$pay = DB::fetch_array(DB::query("SELECT o.id FROM {payment} as p, {shop_order} as o"
			     ." WHERE o.id ='%d' AND p.order_id = o.id AND p.state='I' AND o.status='0'"
			     ." AND RND='%s' AND o.summ='%f' AND o.payment='1'",
			     $_POST['LMI_PAYMENT_NO'], $_POST['RND'], $_POST['LMI_PAYMENT_AMOUNT']
			     ));
		if(!$pay)
		{
			include(ABSOLUTE_PATH."includes/404.php");
		}
	
		DB::query("UPDATE {shop_order} SET status='1' WHERE id='%d'", $_POST['LMI_PAYMENT_NO']);
		DB::query("UPDATE {payment} SET state='R' WHERE order_id='%d'", $_POST['LMI_PAYMENT_NO']);
		echo 'YES';
	}
	else
	{

		if(! isset($_POST['LMI_PAYMENT_NO'])
		   || preg_match('/^\d+$/', $_POST['LMI_PAYMENT_NO']) != 1
		   || !isset($_POST['RND']) || preg_match('/^[A-Z0-9]{8}$/', $_POST['RND'], $match) != 1)
		{
			include(ABSOLUTE_PATH."includes/404.php");
		}
	
		$pay = DB::fetch_array(DB::query("SELECT o.id, o.summ FROM {payment} as p, {shop_order} as o"
			     ." WHERE o.id ='%d' AND p.order_id = o.id AND p.state='R' AND o.status='1' AND o.payment='1'"
			     ." AND RND='%s' AND o.summ='%f'",
			     $_POST['LMI_PAYMENT_NO'], $_POST['RND'], $_POST['LMI_PAYMENT_AMOUNT']
			     ));
		if(! $pay)
		{
			include(ABSOLUTE_PATH."includes/404.php");
		}
		$chkstring = WM_TARGET
			.$pay['summ']
			.$pay['id']
			.$_POST['LMI_MODE']
			.$_POST['LMI_SYS_INVS_NO']
			.$_POST['LMI_SYS_TRANS_NO']
			.$_POST['LMI_SYS_TRANS_DATE']
			.WM_SECRET
			.$_POST['LMI_PAYER_PURSE']
			.$_POST['LMI_PAYER_WM'];
		$md5sum = strtoupper(md5($chkstring));

		if($_POST['LMI_PAYEE_PURSE'] != WM_TARGET || $_POST['LMI_HASH'] != $md5sum)
		{
			include(ABSOLUTE_PATH."includes/404.php");
		}
		DB::query("UPDATE {payment} SET state='S', timestamp=CURRENT_TIMESTAMP(), LMI_SYS_INVS_NO='%s',"
		          ." LMI_SYS_TRANS_NO='%s', LMI_SYS_TRANS_DATE='%s', LMI_PAYER_PURSE='%s', LMI_PAYER_WM='%s'"
		          ." WHERE order_id='%d'",
			  $_POST['LMI_SYS_INVS_NO'], $_POST['LMI_SYS_TRANS_NO'], $_POST['LMI_SYS_TRANS_DATE'],
			  $_POST['LMI_PAYER_PURSE'], $_POST['LMI_PAYER_WM'], $pay['id']
		);
	}
	exit;
}

if($_GET["rewrite"] == "wm/success")
{
	if(!isset($_POST['LMI_PAYMENT_NO']) || preg_match('/^\d+$/', $_POST['LMI_PAYMENT_NO']) != 1)
	{
		include(ABSOLUTE_PATH."includes/404.php");
	}
	
	$pay = DB::result(DB::query("SELECT o.id FROM {payment} as p, {shop_order} as o"
					." WHERE o.id=%d AND p.order_id=o.id AND o.payment='1' AND o.status='0' AND p.state='S'"
					." AND p.LMI_SYS_INVS_NO='%s' AND p.LMI_SYS_TRANS_NO='%s' AND p.LMI_SYS_TRANS_DATE='%s' AND p.RND='%s'",
					$_POST['LMI_PAYMENT_NO'], $_POST['LMI_SYS_INVS_NO'], $_POST['LMI_SYS_TRANS_NO'],
					$_POST['LMI_SYS_TRANS_DATE'], $_POST['RND']
					));
	if(! $pay)
	{
		include(ABSOLUTE_PATH."includes/404.php");
	}
	
	DB::query("UPDATE {payment} SET state='G', timestamp=CURRENT_TIMESTAMP() WHERE id='%d'", $_POST['LMI_PAYMENT_NO']);
	DB::query("UPDATE {shop_order} SET status='2' WHERE id=%d", $_POST['LMI_PAYMENT_NO']);

	$order_rew = DB::query_result("SELECT rewrite FROM {rewrite} WHERE module_name='site' AND trash='0' AND site_id IN"
				      ." (SELECT id FROM {site} WHERE addmodule='order' AND act='1' AND trash='0')");
	$payment->goto_diafan('http://'.$_SERVER["HTTP_HOST"].'/'.(REVATIVE_PATH ? REVATIVE_PATH.'/' : '').$order_rew.'/step5/');
	exit;
}

if($_GET["rewrite"] == "wm/fail")
{
	if(! isset($_POST['LMI_PAYMENT_NO']) || preg_match('/^\d+$/', $_POST['LMI_PAYMENT_NO']) != 1)
	{
		include(ABSOLUTE_PATH."includes/404.php");
	}

        $pay = DB::fetch_array(DB::query("SELECT id  FROM {payment} WHERE order_id ='%d' AND RND='%s'", $_POST['LMI_PAYMENT_NO'], $_POST['RND']));
	if(! $pay)
	{
		include(ABSOLUTE_PATH."includes/404.php");
	}
	DB::query("UPDATE {shop_order} SET status='3' WHERE id='%d' AND payment='1'", $_POST['LMI_PAYMENT_NO']);
	DB::query("UPDATE {payment} SET state='F', timestamp=CURRENT_TIMESTAMP() WHERE id='%d'", $pay['id']);
	
	$order_rew = DB::query_result("SELECT rewrite FROM {rewrite} WHERE module_name='site' AND trash='0' AND site_id IN"
				      ." (SELECT id FROM {site} WHERE addmodule='order' AND act='1' AND trash='0')");
	$payment->goto_diafan('http://'.$_SERVER["HTTP_HOST"].'/'.(REVATIVE_PATH ? REVATIVE_PATH.'/' : '').$order_rew.'/step6/');
	exit;
}

include(ABSOLUTE_PATH."includes/404.php");