<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Rating_install
 *
 * Установка модуля "Рейтинг"
 */

$title = "Рейтинг";

$sql = array(
	"CREATE TABLE {rating} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		element_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		module_name VARCHAR(10) NOT NULL DEFAULT '',
		rating float NOT NULL DEFAULT '0',
		count_votes INT(11) UNSIGNED NOT NULL DEFAULT '0',
		created INT(12) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY (id),
		KEY element_id (element_id),
		KEY module_name (module_name(2))
	)",
	
	"ALTER DATABASE {rating} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",
	
	"INSERT INTO {adminsite} (id, parent_id, name, rewrite, text, act, numrow, sort) VALUES (
		41,
		15,
		'Рейтинг',
		'rating',
		'<p>Рейтинг определяется пользователями на сайте и прикрепляется к товарам магазина, к новостям, статьям, фотогалереям и пр. Все отметки рейтинга с сайта собираются в этом модуле.<br />\r\n<a href=\"base_path/rating/config1/\">Настройки модуля &quot;Рейтинг&quot;</a>.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		2419,
		'10'
	);",
	
	"INSERT INTO {config} (id, module_name, config, cat_id) VALUES (
		9,
		'rating',
		'security_user=0"
		."\n"
		."security=4',
		0
	);"
);


$example = array();

if(! empty($_POST["news"]))
{
	$example[] = "INSERT INTO {rating} VALUES (
		1,
		1,
		'news',
		'5',
		2,
		".time().",
		'0'
	);";

	$example[] = "INSERT INTO {rating} VALUES (
		2,
		3,
		'news',
		'5',
		1,
		".time().",
		'0'
	);";

	$example[] = "INSERT INTO {rating} VALUES (
		3,
		4,
		'news',
		'5',
		1,
		".time().",
		'0'
	);";
}

if(! empty($_POST["photo"]))
{
	$example[] = "INSERT INTO {rating} VALUES (
		4,
		2,
		'photo',
		'5',
		1,
		".time().",
		'0'
	);";
}

if(! empty($_POST["files"]))
{
	$example[] = "INSERT INTO {rating} VALUES (
		5,
		4,
		'files',
		'3',
		1,
		".time().",
		'0'
	);";
}

/**
 * Выполняет действия по установке модуля
 * 
 * @return void
 */
function module_basic_rating()
{
  	$url = parse_url(DB_URL);
        $result = DB::query("SHOW TABLES FROM ".substr($url['path'], 1));
	while ($row = mysql_fetch_row($result))
	{
		if($row[0] == DB_PREFIX."log_note") return;
	}
	
	DB::query(
	"CREATE TABLE {log_note} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		module_name VARCHAR(10) NOT NULL DEFAULT '',
		element_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		note INT(7) UNSIGNED NOT NULL DEFAULT '0',
		created INT(12) UNSIGNED NOT NULL DEFAULT '0',
		ip VARCHAR(62) NOT NULL DEFAULT '',
		session_id VARCHAR(64) NOT NULL DEFAULT '',
		include_name VARCHAR(10) NOT NULL DEFAULT '',
		PRIMARY KEY  (id),
		KEY element_id (element_id),
		KEY session_id (session_id(2)),
		KEY include_name (include_name(2)),
		KEY module_name (module_name(2))
	)");

	DB::query("ALTER DATABASE {log_note} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;");
}

/**
 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_rating()
{
	$module = 'rating';
	DB::query("DROP TABLE {".$module."};");
	DB::query("DELETE FROM {adminsite} WHERE rewrite='".$module."';");
	DB::query("DELETE FROM {config} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {log_note} WHERE module_name='".$module."';");
}