<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Rating_view
 *
 * Шаблон модуля "Рейтинг"
 */
class Rating_view
{
	/**
	 * Шаблон рейтинга элемента
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return string
	 */
	function get($result)
	{
		$text = (empty($result["new"]) ? '<span id="rating'.$result["element_id"].$result["module_name"].'-result" class="rating-votes">' : '');
		for($i = 0; $i < $result["rating"]; $i++)
		{
			$text .= '<img src="'.BASE_PATH.'adm/img/r+.gif" alt="+" width="9" height="11" />';
		}
		for($i = 0; $i < 5 - $result["rating"]; $i++)
		{
			$text .= '<img src="'.BASE_PATH.'adm/img/r-.gif" alt="-" width="9" height="11">';
		}
		$text .= (empty($result["new"]) ? '</span>' : '');

		return $text;
	}

	/**
	 * Шаблон формы оценки. Стандартная форма
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return string
	 */
	function form($result)
	{
		$text = '
		<form method="POST" action="" class="rating-form ajax">
		<input type="hidden" name="ajax" value="">
		<input type="hidden" name="element_id" value="'.$result["element_id"].'">
		<input type="hidden" name="module_name" value="'.$result["module_name"].'">';
		for($i = 1; $i <= 5; $i++)
		{
			$text .= '<input type="radio" name="ajax_rating" value="'.$i.'"'.($i == 5 ? 'checked' : '').'>'.$i."\n";
		}
		$text .= $result["captcha"]
		.'<input type="submit" value="'._LANG_ADD_RATING.'" class="button">';
		$text .= '
		<div class="errors error"'.($result["error"] ? '>'.$result["error"] : ' style="display:none">').'</div>
		</form>';
		return $text;
	}
}