<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Reminding
 *
 * Контроллер модуля "Восстановление пароля"
 */
class Reminding extends Frame
{
	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct(&$diafan)
	{
		include_once(ABSOLUTE_PATH.'modules/reminding/reminding.ajax.php');
		$ajax = new Reminding_ajax($diafan);
		if($ajax->ajax_request())
		{
			exit;
		}
		
		$model = new Reminding_model($diafan);
		$this->result = $model->form();
	}

	/**
	 * Выводит контент модуля
	 * 
	 * @return boolean
	 */
	public function show_module()
	{
		Reminding_view::form($this->result);

		return TRUE;
	}
}