<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Tags
 *
 * Контроллер модуля "Тэги"
 */
class Search extends Frame
{
	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct(&$diafan)
	{
		$this->rewrite_variable_names = array('page');

		$model = new Search_model($diafan);
		$this->result = $model->show_module();
	}

	/**
	 * Выводит контент модуля
	 * 
	 * @return boolean true
	 */
	public function show_module()
	{
		Search_view::show_module($this->result);

		return TRUE;
	}

	/**
	 * Шаблонная функция: форма поиска по сайту
	 * 
	 * @return boolean true
	 */
	public function show_search($th, $attributes)
	{
		$attributes = $this->get_attributes($attributes, 'button', 'button'._LANG, 'template');
		
		$button = ($attributes["button"._LANG] ? $attributes["button"._LANG] : $attributes["button"]);

		include_once(ABSOLUTE_PATH.'modules/search/search.model.php');
		$model = new Search_model($th->diafan);
		$result = $model->show_search($button);

		include_once(ABSOLUTE_PATH.'modules/search/search.view.php');
		$func = 'show_search';
		if($attributes["template"])
		{
			$func .= '_'.preg_replace('/[^a-z_]+/','', $attributes["template"]);
			
		}
		Search_view::$func($result);

		return TRUE;
	}
}