<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Site_admin_config
 *
 * Конфигурирование модуля "Страницы сайта"
 */
class Site_admin_config extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file	=	'site_config';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->variable_table = array(
			'image'			=> 'function',
			'big_width'		=> 'function',
			'big_height'		=> 'none',
			'big_quality'		=> 'none',
			'medium_width'		=> 'function',
			'medium_height'		=> 'none',
			'medium_quality'	=> 'none',
			'use_animation'		=> 'checkbox',
			'protect'		=> 'checkbox',
			'comments'		=> 'checkbox',
			'tags'			=> 'function'
		);
		
		$this->show_tr_click_checkbox = array(
			"image" => array(
				'use_animation',
				'big',
				'medium'
			)
		);
	}
}