<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Subscribtion_admin_category
 *
 * Редактирование категорий рассылки
 */
class Subscribtion_admin_category extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file	=	'subscribtioncategory';

	/**
	 * @var string таблица в базе данных
	 */
	public $table	=	'subscribtion_category';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->nastr = 100;

		//поля в базе данных для редактирования
		$this->variable_table = array(
			'name'		=> 'text',
			'act'		=> 'checkbox',
			'hr1'           => 'hr',
			'parent_id'	=> 'select',
			'sort'		=> 'function',
			'hr2'           => 'hr',
			'text'		=> 'editor'
		);

		//поля, которые прячутся в Дополнительно
		$this->variable_other = array(
			'parent_id' => 1,
			'sort'      => 1,
			'hr1'       => 1
		);

		//переводимые поля
		$this->language_names = array(
			'name',
			'text'
		);

		$this->config_module = array(
			'parent' 	=> 1,	//содержит вложенности
			'order'		=> 1,	//сортируется
			'act'		=> 1,	//показать/скрыть
			'del'		=> 1,	//удалить
			'category'	=> 1,	//основная ссылка ведет к списку элементов, принадлежащих группе
			'trash'		=> 1	//использовать корзину
		);
	}

	/**
	 * Выводит список категорий
	 * @return boolean true
	 */
	public function show_module()
	{
		$this->addnew_init(_ADMIN_SUBSCRIBTIONCATEGORY_ADD);
		echo '<table border="0" cellpadding="1" cellspacing="3" class="list">';
		$this->list_row();	
		echo '</table>';

		return TRUE;
	}
}