<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Tags_install
 *
 * Установка модуля "Теги"
 */

$title = "Теги";

$sql = array(
	"CREATE TABLE {tags} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		module_name VARCHAR(10) NOT NULL DEFAULT '',
		element_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		tags_name_id TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY element_id (element_id),
		KEY module_name (module_name(2)),
		KEY tags_name_id (tags_name_id)
	)",

	"ALTER DATABASE {tags} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",

	"CREATE TABLE {tags_name} (
		id TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG VARCHAR(70) NOT NULL DEFAULT '',")."
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id)
	)",

	"ALTER DATABASE {tags_name} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("titleLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, addmodule) VALUES (
		23,
		".multilang("'".$title."',", "'Tags',", "'',")."
		".multilang("'".$title."',", "'Tags',", "'',")."
		".multilang("'1',")."
		'23',
		'".time()."',
		'tags'
	);",

	"INSERT INTO {rewrite} (id, rewrite, module_name, element_id, site_id, cat_id, trash) VALUES (23, 'tags', 'site', 0, 23, 0, '0')",

	"INSERT INTO {adminsite} (id, parent_id, name, rewrite, text, act, numrow, sort) VALUES (
		33,
		1,
		'".$title."',
		'tags',
		'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		35297,
		'7'
	);"
);

$example = array(
	"INSERT INTO {tags_name} VALUES (1, ".multilang("'Орел',", "'Eagle',", "'',")." '0');",

	"INSERT INTO {tags_name} VALUES (2, ".multilang("'Птица',", "'Bird',", "'',")." '0')",

	"INSERT INTO {tags_name} VALUES (3, ".multilang("'Желтый',", "'Yellow',", "'',")." '0')",

	"INSERT INTO {tags_name} VALUES (4, ".multilang("'Мышь',", "'Mouse',", "'',")." '0')",

	"INSERT INTO {tags_name} VALUES (5, ".multilang("'Пингвин',", "'Penguin',", "'',")." '0')",

	"INSERT INTO {tags_name} VALUES (6, ".multilang("'Весна',", "'Spring',", "'',")." '0')",

	"INSERT INTO {tags_name} VALUES (7, ".multilang("'Бобер',", "'Beaver',", "'',")." '0')",

	"INSERT INTO {tags_name} VALUES (8, ".multilang("'Фиолетовый',", "'Purple',", "'',")." '0')",

	"INSERT INTO {tags_name} VALUES (9, ".multilang("'Слон',", "'Elephant',", "'',")." '0')",

	"INSERT INTO {tags_name} VALUES (10, ".multilang("'Бабочка',", "'Butterfly',", "'',")." '0')",

	"INSERT INTO {tags_name} VALUES (11, ".multilang("'Летит',", "'Fly',", "'',")." '0')",

	"INSERT INTO {tags_name} VALUES (12, ".multilang("'Большой',", "'Big',", "'',")." '0')",

	"INSERT INTO {tags_name} VALUES (13, ".multilang("'Ползает',", "'Crawl',", "'',")." '0')",
);

if(! empty($_POST["news"]))
{
	$example[] = "INSERT INTO {tags} VALUES (
		'6',
		'news',
		'11',
		1,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'7',
		'news',
		'11',
		2,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'8',
		'news',
		'11',
		3,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'9',
		'news',
		'10',
		4,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'10',
		'news',
		'10',
		3,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'11',
		'news',
		'8',
		3,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'12',
		'news',
		'8',
		6,
		'0'
	)";
}

if(! empty($_POST["clauses"]))
{
	$example[] = "INSERT INTO {tags} VALUES (
		'3',
		'clauses',
		'2',
		7,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'4',
		'clauses',
		'2',
		5,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'13',
		'clauses',
		'2',
		8,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'14',
		'clauses',
		'1',
		3,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'15',
		'clauses',
		'1',
		10,
		'0'
	)";
}

if(! empty($_POST["shop"]))
{
	$example[] = "INSERT INTO {tags} VALUES (
		'16',
		'shop',
		'1',
		2,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'17',
		'shop',
		'1',
		3,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'18',
		'shop',
		'1',
		11,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'19',
		'shop',
		'32',
		3,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'20',
		'shop',
		'32',
		13,
		'0'
	)";
}

if(! empty($_POST["photo"]))
{
	$example[] = "INSERT INTO {tags} VALUES (
		'21',
		'photo',
		'4',
		9,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'22',
		'photo',
		'4',
		3,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'23',
		'photo',
		'4',
		12,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'24',
		'photo',
		'5',
		3,
		'0'
	)";

	$example[] = "INSERT INTO {tags} VALUES (
		'25',
		'photo',
		'5',
		13,
		'0'
	)";
}

if(! empty($_POST["faq"]))
{
	$example[] = "INSERT INTO {tags} VALUES (
		'26',
		'faq',
		'11',
		3,
		'0'
	)";
}

if(! empty($_POST["files"]))
{
	$example[] = "INSERT INTO {tags} VALUES (
		'27',
		'files',
		'3',
		3,
		'0'
	)";
}

/**
 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_tags()
{
	$module = 'tags';
	DB::query("DROP TABLE {".$module."};");
	DB::query("DELETE FROM {rewrite} WHERE module_name='site' AND site_id IN (SELECT id FROM {site} WHERE addmodule='".$module."');");
	DB::query("DELETE FROM {site} WHERE addmodule='".$module."';");
	DB::query("DELETE FROM {rewrite} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {adminsite} WHERE rewrite='".$module."';");
	DB::query("DELETE FROM {config} WHERE module_name='".$module."';");
}