<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Usersite_admin_config
 *
 * Конфигурация модуля "Пользователи сайта"
 */
class Usersite_admin_config extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file	=	'usersite_config';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->variable_table = array(
			'security_code'		=> 'checkbox',
			'mes'			=> 'text',
			
			'sendmailadmin'		=> 'checkbox',
			'subject-admin'		=> 'text',
			'message-admin'		=> 'textarea',
			'emailconfadmin'	=> 'function',
			'email-admin'		=> 'none',
			
			'act'			=> 'select',
			
			'subject'		=> 'text',
			'message'		=> 'textarea',
			'emailconf'		=> 'function',
			'email'			=> 'none',
			
			'mes-reminding'		=> 'text',
			
			'subject-reminding'	=> 'text',
			'message-reminding'	=> 'textarea'
		);
		
		$this->language_names = array(
			'mes',
			'subject',
			'message',
			'mes-reminding',
			'subject-reminding',
			'message-reminding'
		);
		
		$this->select_arr["act"] = array(
			0 => _ADMIN_USERSITE_CONFIG_ACT_0,
			1 => _ADMIN_USERSITE_CONFIG_ACT_1,
			2 => _ADMIN_USERSITE_CONFIG_ACT_2
		);
		
		$this->show_tr_click_checkbox = array(
			"sendmailadmin" => array(
				'emailconfadmin',
				'subject-admin',
				'message-admin'
			)
		);
	}
}