<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Usersite_install
 *
 * Установка модуля "Регистрация"
 */

$title = "Регистрация";

$sql = array(
	"CREATE TABLE {actlink} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		link VARCHAR(250) NOT NULL,
		user_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		created INT(12) UNSIGNED NOT NULL DEFAULT '0',
		PRIMARY KEY (id)
	)",
	
	"ALTER DATABASE {actlink} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("titleLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, addmodule) VALUES (
		8,
		".multilang("'".$title."',", "'Registration',", "'',")."
		".multilang("'".$title."',", "'Registration',", "'',")."
		".multilang("'1',")."
		'8',
		'".time()."',
		'registration'
	);",

	"INSERT INTO {rewrite} (id, rewrite, module_name, element_id, site_id, cat_id, trash) VALUES (8, 'registration', 'site', 0, 8, 0, '0')",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("titleLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, addmodule) VALUES (
		11,
		".multilang("'Забыли пароль?',", "'Have forgotten the password?',", "'',")."
		".multilang("'Забыли пароль?',", "'Have forgotten the password?',", "'',")."
		".multilang("'1',")."
		'11',
		'".time()."',
		'reminding'
	);",

	"INSERT INTO {rewrite} (id, rewrite, module_name, element_id, site_id, cat_id, trash) VALUES (11, 'reminding', 'site', 0, 11, 0, '0')",

	"INSERT INTO {adminsite} (id, parent_id, name, rewrite, text, act, numrow, sort) VALUES (
		44,
		15,
		'Пользователи сайта',
		'usersite',
		'<p>Пользователи регистрируются на сайте, их также можно добавить вручную здесь. <a href=\"base_path/usersite/config1/\">Настройки модуля &quot;Пользователи&quot;</a>.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		37585,
		'6'
	);",
	
	"INSERT INTO {config} (id, module_name, config, cat_id) VALUES (
		13,
		'usersite',
	
		'security_code=1"
		."\n"
		."sendmailadmin=1"
		."\n"
		."emailconfadmin="
		."\n"
		."email-admin="
		."\n"
		."act=1"
		."\n"
		."emailconf="
		."\n"
		."email="
		.multilang(
			"\n"
			."mes=Вы удачно зарегистрированы. Для активации аккаунта пройдите по ссылке, высланной на ваш e-mail."
			."\n"
			."subject-admin=%%title (%%url). Новый пользователь"
			."\n"
			."message-admin=Здравствуйте, администратор сайта %%title (%%url)!<br>На сайте появился новый пользователь: %%fio (%%login), %%email."
			."\n"
			."subject=Вы зарегистрированы на сайте %%title (%%url)\nmessage=Здравствуйте, %%fio!<br>Вы зарегистрированы на сайте %%title (%%url).<br>Логин: %%login<br>Пароль: %%password<br>Для активации аккаунта пройдите по ссылке %%actlink<br>Ссылка действует в течении суток."
			."\n"
			."mes-reminding=Новый пароль выслан Вам на e-mail."
			."\n"
			."subject-reminding=Вы запросили новый пароль на сайте %%title (%%url)."
			."\n"
			."message-reminding=Здравствуйте, %%fio!<br>Вы запросили новый пароль на сайте %%title (%%url).<br>Логин: %%login<br>Пароль: %%password",
	
			"\n"
			."mes2=Congratulations! You have successful registered. In order to activate your account please click the link send to your e-mail."
			."\n"
			."subject2=You registered on web site %%title (%%url)."
			."\n"
			."message2=Hello, %%fio!<br>You registered on web site %%title (%%url).<br>Username: %%login<br>Password: %%password<br>In order to activate your account please click the link %%actlink<br>Link act in next day."
			."\n"
			."mes-reminding2=New password send to your e-mail."
			."\n"
			."subject-reminding2=You requested new password on web site %%title (%%url)."
			."\n"
			."message-reminding2=Hello, %%fio!<br>You requested new password on web site %%title (%%url).<br>Username: %%login<br>Password: %%password",
	
			""
		)."',
		0
	);"
);
	
$example = array(
	"UPDATE {site} SET
		".multilang(
		"text='<p>Регистрация на сайте нашего зоопарка дает многое: для посетителей доступ к некоторым закрытым страницам, голосованиям и т.д. А администрация нашего зоопарка часто делает рассылки интересных новостей по базе наших пользователей.</p>'",
		", text2='<p>Registration on a site of our zoo gives much: for visitors access to some closed pages, votings etc. And the administration of our zoo often does dispatches of interesting news on base of our users.</p>'",
		""
		)."
		WHERE id=8",

	"UPDATE {site} SET
		".multilang(
		"text='<p>Если вы забыли пароль, вам необходимо ввести ваш логин и почтовый ящик в форму ниже и нажать отправить. Новый пароль придет к вам на почту. Восстановление старого пароля невозможно, т.к. пароли шифруются по алгоритму md5.</p>'",
		", text2='<p>If you have forgotten the password, it is necessary for you to enter your login and a mail box into the form more low and to press to send. The new password will come to you on mail. Restoration of the old password is impossible, since passwords are ciphered on algorithm md5.</p>'",
		""
		)."
		WHERE id=11",

	"INSERT INTO {users_site} VALUES (
		1,
		'kukushkin',
		'48222981add3862a4c8e9646fd77b1d1',
		'kukushkin@site.com',
		'1231794000',
		0,
		'Кукушкин Адольф',
		'0',
		'0',
		'city=\nstreet=\nhome=\ncorps=\nflat=\nphone=',
		'0',
		'0'
	)",

	"INSERT INTO {users_site} VALUES (
		2,
		'filimon',
		'c42a922f981091217a808fb6eea48e26',
		'filimon@site.ru',
		'1234126800',
		0,
		'Филимон Авруцкий',
		'1',
		'0',
		'city=Мохнатск\nstreet=Крученая\nhome=5\ncorps=\nflat=98\nphone=+7(999)444-55-66',
		'0',
		'0'
	)"
);

/**
 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_usersite()
{
	$module = 'usersite';
	DB::query("DROP TABLE {actlink};");
	DB::query("DELETE FROM {site} WHERE addmodule='registration';");
	DB::query("DELETE FROM {site} WHERE addmodule='reminding';");
	DB::query("DELETE FROM {adminsite} WHERE rewrite='".$module."';");
	DB::query("DELETE FROM {config} WHERE module_name='".$module."';");
}