<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.3
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if(! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Votes_install
 *
 * Установка модуля "Опросы"
 */

$title = "Опросы";

$sql = array(
	"CREATE TABLE {votes} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL,")."
		cat_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		count_votes INT(5) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY cat_id (cat_id)
	)",

	"ALTER DATABASE {votes} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",

	"CREATE TABLE {votes_category} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("nameLANG TEXT NOT NULL,")."
		".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
		site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		trash ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (id),
		KEY site_id (site_id)
	)",

	"ALTER DATABASE {votes_category} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;",

	"INSERT INTO {adminsite} (id, parent_id, name, rewrite, text, act, numrow, sort) VALUES (
		38,
		15,
		'Опросы',
		'votes',
		'<p>Для настройки модуля используйте <a href=\"base_path/votes/config1/\">&quot;Конфигурацию модулей&quot;</a>.</p>
		<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		628973,
		'8'
	);",

	"INSERT INTO {config} (id, module_name, config, cat_id) VALUES (
		11,
		'votes',
		'security_user=0"
		."\n"
		."security=4"
		."\n"
		."order=0',
		'0'
	);"
);

$example = array(
	"INSERT INTO {votes_category} VALUES (
		1,
		".multilang("'Нравится ли Вам наш зоопарк?',", "'Whether our zoo is pleasant to you?',", "'',")."
		".multilang("'1',")."
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		1,
		".multilang("'Да, очень!',", "'Yes, very much!',", "'',")."
		1,
		1,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		2,
		".multilang("'Сойдет',", "'Descend',", "'',")."
		1,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		3,
		".multilang("'Мне нейтрально',", "'To me it is neutral',", "'',")."
		1,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		4,
		".multilang("'Так себе',", "'So-so',", "'',")."
		1,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		5,
		".multilang("'Не нравится',", "'It is not pleasant',", "'',")."
		1,
		0,
		'0'
	);",

	"INSERT INTO {votes_category} VALUES (
		7,
		".multilang("'Каких животных Вы предпочитаете?',", "'You prefer what animals?',", "'',")."
		".multilang("'1',")."
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		8,
		".multilang("'Травоядных',", "'Herbivorous',", "'',")."
		7,
		1,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		9,
		".multilang("'Хищников',", "'Predator',", "'',")."
		7,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		10,
		".multilang("'Не люблю животных',", "'I do not love animals',", "'',")."
		7,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		11,
		".multilang("'Всех',", "'All',", "'',")."
		7,
		1,
		'0'
	);",

	"INSERT INTO {votes_category} VALUES (
		13,
		".multilang("'Посещаете ли Вы со своим питомцем ветеринарные клиники?',", "'Whether you with the pupil visit veterinary clinics?',", "'',")."
		".multilang("'1',")."
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		14,
		".multilang("'Постоянно',", "'Regularly',", "'',")."
		13,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		15,
		".multilang("'В крайних случаях',", "'In extreme cases',", "'',")."
		13,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		16,
		".multilang("'Никогда',", "'Never',", "'',")."
		13,
		0,
		'0'
	);",

	"INSERT INTO {votes_category} VALUES (
		18,
		".multilang("'Сколько денег Вы тратите в месяц на своего домашнего питомца?',", "'How many money you spend in a month for the house pupil?',", "'',")."
		".multilang("'1',")."
		3,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		19,
		".multilang("'до 100 руб.',", "'To 100 rbl.',", "'',")."
		18,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		20,
		".multilang("'от 100 руб. до 450 руб.',", "'From 100 rbl. to 450 rbl.',", "'',")."
		18,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		21,
		".multilang("'более 500 руб.',", "'More than 500 rbl.',", "'',")."
		18,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		22,
		".multilang("'Вообще не трачу денег',", "'At all I do not spend money',", "'',")."
		18,
		0,
		'0'
	);",

	"INSERT INTO {votes_category} VALUES (
		23,
		".multilang("'Нужны ли бумажные зоопарки?',", "'Whether paper zoos are necessary?',", "'',")."
		".multilang("'1',")."
		1,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		24,
		".multilang("'Кому-то нечем заняться',", "'Someone has nothing to be engaged',", "'',")."
		23,
		1,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		25,
		".multilang("'Да. Это очень интересно',", "'Yes. It is very interesting',", "'',")."
		23,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		26,
		".multilang("'Бумажные зоопарки никому не нужны',", "'Paper zoos are necessary to nobody',", "'',")."
		23,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		27,
		".multilang("'Такие зоопарки поднимают настроение',", "'Such zoos cheer up',", "'',")."
		23,
		0,
		'0'
	);",

	"INSERT INTO {votes_category} VALUES (
		28,
		".multilang("'Купили бы Вы бумажную таксу?',", "'You would buy the paper turnspit?',", "'',")."
		".multilang("'1',")."
		3,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		29,
		".multilang("'Нет, пустая трата денег',", "'No, waste of money',", "'',")."
		28,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		30,
		".multilang("'Да, она украсила бы мою комнату',", "'Yes, it would decorate my room',", "'',")."
		28,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		31,
		".multilang("'Конечно, оригинальный подарок',", "'Certainly, an original gift',", "'',")."
		28,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		32,
		".multilang("'С удовольствием, хоть поговорить будет с кем',", "'With pleasure though will talk to whom',", "'',")."
		28,
		0,
		'0'
	);",

	"INSERT INTO {votes_category} VALUES (
		33,
		".multilang("'Часто ли коты греются в Вашем подъезде?',", "'Whether often cats are heated at your entrance?',", "'',")."
		".multilang("'1',")."
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		34,
		".multilang("'Постоянно',", "'Regularly',", "'',")."
		33,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		35,
		".multilang("'У меня нет подъезда',", "'I do not have entrance',", "'',")."
		33,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		36,
		".multilang("'Да, но мне не жалко, пусть греются',", "'Yes, but it is not a pity to me, let are heated',", "'',")."
		33,
		1,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		37,
		".multilang("'Теперь нет. Мы всем подъездом их выгнали',", "'Now is not present. All of us an entrance have expelled them',", "'',")."
		,33,
		1,
		'0'
	);",

	"INSERT INTO {votes_category} VALUES (
		38,
		".multilang("'Кажется ли Вам, что животные следят за Вами?',", "'Whether it seems to you, what animals watch you?',", "'',")."
		".multilang("'1',")."
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		39,
		".multilang("'Мне постоянно кажется это',", "'It constantly seems to me',", "'',")."
		38,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		40,
		".multilang("'Нет, за мной следят только люди',", "'No, I am watched only by people',", "'',")."
		38,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		41,
		".multilang("'Да, а вы откуда знаете это?',", "'Yes, and you whence know it?',", "'',")."
		38,
		0,
		'0'
	);",

	"INSERT INTO {votes} VALUES (
		42,
		".multilang("'Мне уже ничего не кажется',", "'Already it seems nothing to me',", "'',")."
		38,
		0,
		'0'
	);"
);

/**
 * Выполняет действия по установке модуля
 * 
 * @return void
 */
function module_basic_votes()
{
	$url = parse_url(DB_URL);
	$result = DB::query("SHOW TABLES FROM ".substr($url['path'], 1));
	while ($row = mysql_fetch_row($result))
	{
		if($row[0] == DB_PREFIX."log_note") return false;
	}

	DB::query(
	"CREATE TABLE {log_note} (
		id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		module_name VARCHAR(10) NOT NULL DEFAULT '',
		element_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
		note INT(7) UNSIGNED NOT NULL DEFAULT '0',
		created INT(12) UNSIGNED NOT NULL DEFAULT '0',
		ip VARCHAR(62) NOT NULL DEFAULT '',
		session_id VARCHAR(64) NOT NULL DEFAULT '',
		include_name VARCHAR(10) NOT NULL DEFAULT '',
		PRIMARY KEY  (id),
		KEY element_id (element_id),
		KEY session_id (session_id(2)),
		KEY include_name (include_name(2)),
		KEY module_name (module_name(2))
	)");

	DB::query("ALTER DATABASE {log_note} DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;");
}

/**
 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_votes()
{
	$module = 'votes';
	DB::query("DROP TABLE {".$module."};");
	DB::query("DROP TABLE {".$module."_category};");
	DB::query("DELETE FROM {adminsite} WHERE rewrite='".$module."';");
	DB::query("DELETE FROM {config} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {log_note} WHERE module_name='".$module."';");
}